import{S as tb,i as ob,s as nb,e as a,k as u,w as k,t as l,M as sb,c as r,d as o,m as h,a as i,x as b,h as p,b as w,G as e,g as v,y as T,q as x,o as y,B as M,v as ab,L as C}from"../../../chunks/vendor-hf-doc-builder.js";import{T as z}from"../../../chunks/Tip-hf-doc-builder.js";import{D as R}from"../../../chunks/Docstring-hf-doc-builder.js";import{C as A}from"../../../chunks/CodeBlock-hf-doc-builder.js";import{I as P}from"../../../chunks/IconCopyLink-hf-doc-builder.js";import{E as F}from"../../../chunks/ExampleCodeBlock-hf-doc-builder.js";function rb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function ib(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCausalLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")

inputs = tokenizer("My name is Arthur and I live in", return_tensors="pt")

gen_tokens = model.generate(**inputs,do_sample=True,temperature=0.9, min_length=20,max_length=20)
tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs,do_sample=<span class="hljs-literal">True</span>,temperature=<span class="hljs-number">0.9</span>, min_length=<span class="hljs-number">20</span>,max_length=<span class="hljs-number">20</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),$=l("Example of text generation:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of text generation:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function lb(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCausalLM

tokenizer = AutoTokenizer.from_pretrained("optimum/gpt2")
model = ORTModelForCausalLM.from_pretrained("optimum/gpt2")
onnx_gen = pipeline("text-generation", model=model, tokenizer=tokenizer)

text = "My name is Arthur and I live in"
gen = onnx_gen(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCausalLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCausalLM.from_pretrained(<span class="hljs-string">&quot;optimum/gpt2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_gen = pipeline(<span class="hljs-string">&quot;text-generation&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Arthur and I live in&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>gen = onnx_gen(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipelines"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipelines"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function pb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function mb(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForMaskedLM
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-uncased-for-fill-mask")
model = ORTModelForMaskedLM.from_pretrained("optimum/bert-base-uncased-for-fill-mask")

inputs = tokenizer("The capital of France is [MASK].", return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-fill-mask&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMaskedLM.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-fill-mask&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">8</span>, <span class="hljs-number">28996</span>]`}}),{c(){s=a("p"),$=l("Example of feature extraction:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of feature extraction:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function db(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForMaskedLM

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-uncased-for-fill-mask")
model = ORTModelForMaskedLM.from_pretrained("optimum/bert-base-uncased-for-fill-mask")
fill_masker = pipeline("fill-mask", model=model, tokenizer=tokenizer)

text = "The capital of France is [MASK]."
pred = fill_masker(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMaskedLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-fill-mask&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMaskedLM.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-uncased-for-fill-mask&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>fill_masker = pipeline(<span class="hljs-string">&quot;fill-mask&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;The capital of France is [MASK].&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = fill_masker(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function cb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function ub(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")

inputs = tokenizer("My name is Eustache and I like to", return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Eustache and I like to&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),$=l("Example of text generation:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of text generation:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function hb(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSeq2SeqLM

tokenizer = AutoTokenizer.from_pretrained("optimum/t5-small")
model = ORTModelForSeq2SeqLM.from_pretrained("optimum/t5-small")
onnx_translation = pipeline("translation_en_to_de", model=model, tokenizer=tokenizer)

text = "My name is Eustache."
pred = onnx_translation(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSeq2SeqLM

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSeq2SeqLM.from_pretrained(<span class="hljs-string">&quot;optimum/t5-small&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_translation = pipeline(<span class="hljs-string">&quot;translation_en_to_de&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Eustache.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_translation(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function fb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function gb(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForSequenceClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")

inputs = tokenizer("Hello, my dog is cute", return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">2</span>]`}}),{c(){s=a("p"),$=l("Example of single-label classification:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of single-label classification:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function _b(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-finetuned-sst-2-english")
onnx_classifier = pipeline("text-classification", model=model, tokenizer=tokenizer)

text = "Hello, my dog is cute"
pred = onnx_classifier(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-finetuned-sst-2-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_classifier = pipeline(<span class="hljs-string">&quot;text-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_classifier(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipelines"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipelines"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function $b(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/distilbert-base-uncased-mnli")
model = ORTModelForSequenceClassification.from_pretrained("optimum/distilbert-base-uncased-mnli")
onnx_z0 = pipeline("zero-shot-classification", model=model, tokenizer=tokenizer)

sequence_to_classify = "Who are you voting for in 2020?"
candidate_labels = ["Europe", "public health", "politics", "elections"]
pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=True)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;optimum/distilbert-base-uncased-mnli&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_z0 = pipeline(<span class="hljs-string">&quot;zero-shot-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>sequence_to_classify = <span class="hljs-string">&quot;Who are you voting for in 2020?&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>candidate_labels = [<span class="hljs-string">&quot;Europe&quot;</span>, <span class="hljs-string">&quot;public health&quot;</span>, <span class="hljs-string">&quot;politics&quot;</span>, <span class="hljs-string">&quot;elections&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_z0(sequence_to_classify, candidate_labels, multi_label=<span class="hljs-literal">True</span>)`}}),{c(){s=a("p"),$=l("Example using zero-shot-classification "),d=a("code"),c=l("transformers.pipelines"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using zero-shot-classification "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipelines"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function vb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function wb(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits
list(logits.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(logits.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">9</span>]`}}),{c(){s=a("p"),$=l("Example of token classification:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of token classification:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function kb(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForTokenClassification

tokenizer = AutoTokenizer.from_pretrained("optimum/bert-base-NER")
model = ORTModelForTokenClassification.from_pretrained("optimum/bert-base-NER")
onnx_ner = pipeline("token-classification", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_ner(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForTokenClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForTokenClassification.from_pretrained(<span class="hljs-string">&quot;optimum/bert-base-NER&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ner = pipeline(<span class="hljs-string">&quot;token-classification&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ner(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipelines"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipelines"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function bb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Tb(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForMultipleChoice

tokenizer = AutoTokenizer.from_pretrained("ehdwns1516/bert-base-uncased_SWAG")
model = ORTModelForMultipleChoice.from_pretrained("ehdwns1516/bert-base-uncased_SWAG", from_transformers=True)

num_choices = 4
first_sentence = ["Members of the procession walk down the street holding small horn brass instruments."] * num_choices
second_sentence = [
    "A drum line passes by walking down the street playing their instruments.",
    "A drum line has heard approaching them.",
    "A drum line arrives and they're outside dancing and asleep.",
    "A drum line turns the lead singer watches the performance."
]
inputs = tokenizer(first_sentence, second_sentence, truncation=True, padding=True)

for k, v in inputs.items():
    inputs[k] = [v[i: i + num_choices] for i in range(0, len(v), num_choices)]
inputs = dict(inputs.convert_to_tensors(tensor_type="pt"))
outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForMultipleChoice

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;ehdwns1516/bert-base-uncased_SWAG&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>num_choices = <span class="hljs-number">4</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>first_sentence = [<span class="hljs-string">&quot;Members of the procession walk down the street holding small horn brass instruments.&quot;</span>] * num_choices
<span class="hljs-meta">&gt;&gt;&gt; </span>second_sentence = [
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line passes by walking down the street playing their instruments.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line has heard approaching them.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line arrives and they&#x27;re outside dancing and asleep.&quot;</span>,
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;A drum line turns the lead singer watches the performance.&quot;</span>
<span class="hljs-meta">... </span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(first_sentence, second_sentence, truncation=<span class="hljs-literal">True</span>, padding=<span class="hljs-literal">True</span>)

<span class="hljs-comment"># Unflatten the inputs values expanding it to the shape [batch_size, num_choices, seq_length]</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> inputs.items():
<span class="hljs-meta">... </span>    inputs[k] = [v[i: i + num_choices] <span class="hljs-keyword">for</span> i <span class="hljs-keyword">in</span> <span class="hljs-built_in">range</span>(<span class="hljs-number">0</span>, <span class="hljs-built_in">len</span>(v), num_choices)]
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = <span class="hljs-built_in">dict</span>(inputs.convert_to_tensors(tensor_type=<span class="hljs-string">&quot;pt&quot;</span>))
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),$=l("Example of mutliple choice:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of mutliple choice:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function xb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function yb(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
inputs = tokenizer(question, text, return_tensors="np")
start_positions = torch.tensor([1])
end_positions = torch.tensor([3])

outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
start_scores = outputs.start_logits
end_scores = outputs.end_logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_positions = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>end_positions = torch.tensor([<span class="hljs-number">3</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=start_positions, end_positions=end_positions)
<span class="hljs-meta">&gt;&gt;&gt; </span>start_scores = outputs.start_logits
<span class="hljs-meta">&gt;&gt;&gt; </span>end_scores = outputs.end_logits`}}),{c(){s=a("p"),$=l("Example of question answering:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of question answering:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Mb(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForQuestionAnswering

tokenizer = AutoTokenizer.from_pretrained("optimum/roberta-base-squad2")
model = ORTModelForQuestionAnswering.from_pretrained("optimum/roberta-base-squad2")
onnx_qa = pipeline("question-answering", model=model, tokenizer=tokenizer)

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"
pred = onnx_qa(question, text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForQuestionAnswering

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;optimum/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_qa = pipeline(<span class="hljs-string">&quot;question-answering&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_qa(question, text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Ob(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function jb(q){let s,$,d,c,g;return c=new A({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForImageClassification
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")

inputs = preprocessor(images=image, return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),$=l("Example of image classification:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of image classification:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function qb(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForImageClassification

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/vit-base-patch16-224")
model = ORTModelForImageClassification.from_pretrained("optimum/vit-base-patch16-224")
onnx_image_classifier = pipeline("image-classification", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_classifier(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForImageClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForImageClassification.from_pretrained(<span class="hljs-string">&quot;optimum/vit-base-patch16-224&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_classifier = pipeline(<span class="hljs-string">&quot;image-classification&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_classifier(url)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Eb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Rb(q){let s,$,d,c,g;return c=new A({props:{code:`import requests
from PIL import Image
from optimum.onnxruntime import ORTModelForSemanticSegmentation
from transformers import AutoFeatureExtractor

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")

inputs = preprocessor(images=image, return_tensors="np")

outputs = model(**inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = preprocessor(images=image, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){s=a("p"),$=l("Example of semantic segmentation:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of semantic segmentation:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Fb(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`import requests
from PIL import Image
from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForSemanticSegmentation

preprocessor = AutoFeatureExtractor.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
model = ORTModelForSemanticSegmentation.from_pretrained("optimum/segformer-b0-finetuned-ade-512-512")
onnx_image_segmenter = pipeline("image-segmentation", model=model, feature_extractor=preprocessor)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
pred = onnx_image_segmenter(url)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSemanticSegmentation

<span class="hljs-meta">&gt;&gt;&gt; </span>preprocessor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSemanticSegmentation.from_pretrained(<span class="hljs-string">&quot;optimum/segformer-b0-finetuned-ade-512-512&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_image_segmenter = pipeline(<span class="hljs-string">&quot;image-segmentation&quot;</span>, model=model, feature_extractor=preprocessor)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_image_segmenter(url)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Cb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Ab(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoFeatureExtractor
from optimum.onnxruntime import ORTModelForAudioClassification
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = AutoFeatureExtractor.from_pretrained("optimum/hubert-base-superb-ks")
model = ORTModelForAudioClassification.from_pretrained("optimum/hubert-base-superb-ks")

# audio file is decoded on the fly
inputs = feature_extractor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.argmax(logits, dim=-1).item()
predicted_label = model.config.id2label[predicted_class_ids]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForAudioClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/hubert-base-superb-ks&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForAudioClassification.from_pretrained(<span class="hljs-string">&quot;optimum/hubert-base-superb-ks&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>).item()
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_label = model.config.id2label[predicted_class_ids]`}}),{c(){s=a("p"),$=l("Example of audio classification:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of audio classification:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Sb(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoFeatureExtractor, pipeline
from optimum.onnxruntime import ORTModelForAudioClassification

feature_extractor = AutoFeatureExtractor.from_pretrained("optimum/hubert-base-superb-ks")
dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")

model = ORTModelForAudioClassification.from_pretrained("optimum/hubert-base-superb-ks")
onnx_ac = pipeline("audio-classification", model=model, feature_extractor=feature_extractor)

pred = onnx_ac(dataset[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForAudioClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/hubert-base-superb-ks&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForAudioClassification.from_pretrained(<span class="hljs-string">&quot;optimum/hubert-base-superb-ks&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_ac = pipeline(<span class="hljs-string">&quot;audio-classification&quot;</span>, model=model, feature_extractor=feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_ac(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Nb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Pb(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoFeatureExtractor
from optimum.onnxruntime import ORTModelForAudioFrameClassification
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = AutoFeatureExtractor.from_pretrained("optimum/wav2vec2-base-superb-sd")
model =  ORTModelForAudioFrameClassification.from_pretrained("optimum/wav2vec2-base-superb-sd")

inputs = feature_extractor(dataset[0]["audio"]["array"], return_tensors="pt", sampling_rate=sampling_rate)
with torch.no_grad():
    logits = model(**inputs).logits

probabilities = torch.sigmoid(logits[0])
labels = (probabilities > 0.5).long()
labels[0].tolist()`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForAudioFrameClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/wav2vec2-base-superb-sd&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model =  ORTModelForAudioFrameClassification.from_pretrained(<span class="hljs-string">&quot;optimum/wav2vec2-base-superb-sd&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, sampling_rate=sampling_rate)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>probabilities = torch.sigmoid(logits[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = (probabilities &gt; <span class="hljs-number">0.5</span>).long()
<span class="hljs-meta">&gt;&gt;&gt; </span>labels[<span class="hljs-number">0</span>].tolist()`}}),{c(){s=a("p"),$=l("Example of audio frame classification:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of audio frame classification:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function zb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Ib(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoProcessor, HubertForCTC
from optimum.onnxruntime import ORTModelForCTC
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

processor = AutoProcessor.from_pretrained("optimum/hubert-large-ls960-ft")
model = ORTModelForCTC.from_pretrained("optimum/hubert-large-ls960-ft")

# audio file is decoded on the fly
inputs = processor(dataset[0]["audio"]["array"], sampling_rate=sampling_rate, return_tensors="pt")
with torch.no_grad():
    logits = model(**inputs).logits
predicted_ids = torch.argmax(logits, dim=-1)

transcription = processor.batch_decode(predicted_ids)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, HubertForCTC
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCTC
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/hubert-large-ls960-ft&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCTC.from_pretrained(<span class="hljs-string">&quot;optimum/hubert-large-ls960-ft&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(dataset[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_ids = torch.argmax(logits, dim=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>transcription = processor.batch_decode(predicted_ids)`}}),{c(){s=a("p"),$=l("Example of CTC:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of CTC:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Db(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Lb(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoProcessor
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
inputs = processor.feature_extractor(ds[0]["audio"]["array"], return_tensors="pt")

gen_tokens = model.generate(inputs=inputs.input_features)
outputs = processor.tokenizer.batch_decode(gen_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor.feature_extractor(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(inputs=inputs.input_features)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = processor.tokenizer.batch_decode(gen_tokens)`}}),{c(){s=a("p"),$=l("Example of text generation:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of text generation:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Vb(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoProcessor, pipeline
from optimum.onnxruntime import ORTModelForSpeechSeq2Seq
from datasets import load_dataset

processor = AutoProcessor.from_pretrained("optimum/whisper-tiny.en")
model = ORTModelForSpeechSeq2Seq.from_pretrained("optimum/whisper-tiny.en")
speech_recognition = pipeline("automatic-speech-recognition", model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

ds = load_dataset("hf-internal-testing/librispeech_asr_dummy", "clean", split="validation")
pred = speech_recognition(ds[0]["audio"]["array"])`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoProcessor, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForSpeechSeq2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset

<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoProcessor.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForSpeechSeq2Seq.from_pretrained(<span class="hljs-string">&quot;optimum/whisper-tiny.en&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>speech_recognition = pipeline(<span class="hljs-string">&quot;automatic-speech-recognition&quot;</span>, model=model, tokenizer=processor.tokenizer, feature_extractor=processor.feature_extractor)

<span class="hljs-meta">&gt;&gt;&gt; </span>ds = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_dummy&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = speech_recognition(ds[<span class="hljs-number">0</span>][<span class="hljs-string">&quot;audio&quot;</span>][<span class="hljs-string">&quot;array&quot;</span>])`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Ub(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Xb(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoFeatureExtractor
from optimum.onnxruntime import ORTModelForAudioXVector
from datasets import load_dataset
import torch

dataset = load_dataset("hf-internal-testing/librispeech_asr_demo", "clean", split="validation")
dataset = dataset.sort("id")
sampling_rate = dataset.features["audio"].sampling_rate

feature_extractor = AutoFeatureExtractor.from_pretrained("optimum/wav2vec2-base-superb-sv")
model = ORTModelForAudioXVector.from_pretrained("optimum/wav2vec2-base-superb-sv")

# audio file is decoded on the fly
inputs = feature_extractor(
    [d["array"] for d in dataset[:2]["audio"]], sampling_rate=sampling_rate, return_tensors="pt", padding=True
)
with torch.no_grad():
    embeddings = model(**inputs).embeddings

embeddings = torch.nn.functional.normalize(embeddings, dim=-1).cpu()

cosine_sim = torch.nn.CosineSimilarity(dim=-1)
similarity = cosine_sim(embeddings[0], embeddings[1])
threshold = 0.7
if similarity < threshold:
    print("Speakers are not the same!")
round(similarity.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoFeatureExtractor
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForAudioXVector
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> datasets <span class="hljs-keyword">import</span> load_dataset
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = load_dataset(<span class="hljs-string">&quot;hf-internal-testing/librispeech_asr_demo&quot;</span>, <span class="hljs-string">&quot;clean&quot;</span>, split=<span class="hljs-string">&quot;validation&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>dataset = dataset.sort(<span class="hljs-string">&quot;id&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>sampling_rate = dataset.features[<span class="hljs-string">&quot;audio&quot;</span>].sampling_rate

<span class="hljs-meta">&gt;&gt;&gt; </span>feature_extractor = AutoFeatureExtractor.from_pretrained(<span class="hljs-string">&quot;optimum/wav2vec2-base-superb-sv&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForAudioXVector.from_pretrained(<span class="hljs-string">&quot;optimum/wav2vec2-base-superb-sv&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># audio file is decoded on the fly</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = feature_extractor(
<span class="hljs-meta">... </span>    [d[<span class="hljs-string">&quot;array&quot;</span>] <span class="hljs-keyword">for</span> d <span class="hljs-keyword">in</span> dataset[:<span class="hljs-number">2</span>][<span class="hljs-string">&quot;audio&quot;</span>]], sampling_rate=sampling_rate, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>
<span class="hljs-meta">... </span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    embeddings = model(**inputs).embeddings

<span class="hljs-meta">&gt;&gt;&gt; </span>embeddings = torch.nn.functional.normalize(embeddings, dim=-<span class="hljs-number">1</span>).cpu()

<span class="hljs-meta">&gt;&gt;&gt; </span>cosine_sim = torch.nn.CosineSimilarity(dim=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>similarity = cosine_sim(embeddings[<span class="hljs-number">0</span>], embeddings[<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>threshold = <span class="hljs-number">0.7</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">if</span> similarity &lt; threshold:
<span class="hljs-meta">... </span>    <span class="hljs-built_in">print</span>(<span class="hljs-string">&quot;Speakers are not the same!&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(similarity.item(), <span class="hljs-number">2</span>)`}}),{c(){s=a("p"),$=l("Example of Audio XVector:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of Audio XVector:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Wb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Hb(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoImageProcessor, AutoTokenizer
from optimum.onnxruntime import ORTModelForVision2Seq
from PIL import Image
import requests


processor = AutoImageProcessor.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
tokenizer = AutoTokenizer.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
model = ORTModelForVision2Seq.from_pretrained("nlpconnect/vit-gpt2-image-captioning", from_transformers=True)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)
inputs = processor(image, return_tensors="pt")

gen_tokens = model.generate(**inputs)
outputs = tokenizer.batch_decode(gen_tokens, skip_special_tokens=True)
`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForVision2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests


<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForVision2Seq.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = processor(image, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>gen_tokens = model.generate(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = tokenizer.batch_decode(gen_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
`}}),{c(){s=a("p"),$=l("Example of text generation:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of text generation:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Bb(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoImageProcessor, AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForVision2Seq
from PIL import Image
import requests


processor = AutoImageProcessor.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
tokenizer = AutoTokenizer.from_pretrained("nlpconnect/vit-gpt2-image-captioning")
model = ORTModelForVision2Seq.from_pretrained("nlpconnect/vit-gpt2-image-captioning", from_transformers=True)

url = "http://images.cocodataset.org/val2017/000000039769.jpg"
image = Image.open(requests.get(url, stream=True).raw)

image_to_text = pipeline("image-to-text", model=model, tokenizer=tokenizer, feature_extractor=processor, image_processor=processor)
pred = image_to_text(image)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoImageProcessor, AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForVision2Seq
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> PIL <span class="hljs-keyword">import</span> Image
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> requests


<span class="hljs-meta">&gt;&gt;&gt; </span>processor = AutoImageProcessor.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForVision2Seq.from_pretrained(<span class="hljs-string">&quot;nlpconnect/vit-gpt2-image-captioning&quot;</span>, from_transformers=<span class="hljs-literal">True</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>url = <span class="hljs-string">&quot;http://images.cocodataset.org/val2017/000000039769.jpg&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>image = Image.<span class="hljs-built_in">open</span>(requests.get(url, stream=<span class="hljs-literal">True</span>).raw)

<span class="hljs-meta">&gt;&gt;&gt; </span>image_to_text = pipeline(<span class="hljs-string">&quot;image-to-text&quot;</span>, model=model, tokenizer=tokenizer, feature_extractor=processor, image_processor=processor)
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = image_to_text(image)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Gb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Qb(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")

inputs = tokenizer("I love burritos!", return_tensors="np")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
pooler_output = outputs.pooler_output`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;I love burritos!&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span>pooler_output = outputs.pooler_output`}}),{c(){s=a("p"),$=l("Example of custom tasks(e.g. a sentence transformers taking "),d=a("code"),c=l("pooler_output"),g=l(" as output):"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example of custom tasks(e.g. a sentence transformers taking "),d=r(O,"CODE",{});var E=i(d);c=p(E,"pooler_output"),E.forEach(o),g=p(O," as output):"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Jb(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForCustomTasks

tokenizer = AutoTokenizer.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
model = ORTModelForCustomTasks.from_pretrained("optimum/sbert-all-MiniLM-L6-with-pooler")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "I love burritos!"
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForCustomTasks

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForCustomTasks.from_pretrained(<span class="hljs-string">&quot;optimum/sbert-all-MiniLM-L6-with-pooler&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;I love burritos!&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipelines"),g=l("(only if the task is supported):"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipelines"),E.forEach(o),g=p(O,"(only if the task is supported):"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function Kb(q){let s,$,d,c,g;return{c(){s=a("p"),$=l("Although the recipe for forward pass needs to be defined within this function, one should call the "),d=a("code"),c=l("Module"),g=l(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Although the recipe for forward pass needs to be defined within this function, one should call the "),d=r(m,"CODE",{});var j=i(d);c=p(j,"Module"),j.forEach(o),g=p(m,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),m.forEach(o)},m(n,m){v(n,s,m),e(s,$),e(s,d),e(d,c),e(s,g)},d(n){n&&o(s)}}}function Yb(q){let s,$,d,c,g;return c=new A({props:{code:`from transformers import AutoTokenizer
from optimum.onnxruntime import ORTModelForFeatureExtraction
import torch

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")

inputs = tokenizer("My name is Philipp and I live in Germany.", return_tensors="np")

outputs = model(**inputs)
last_hidden_state = outputs.last_hidden_state
list(last_hidden_state.shape)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>, return_tensors=<span class="hljs-string">&quot;np&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_state = outputs.last_hidden_state
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">list</span>(last_hidden_state.shape)
[<span class="hljs-number">1</span>, <span class="hljs-number">12</span>, <span class="hljs-number">384</span>]`}}),{c(){s=a("p"),$=l("Example of feature extraction:"),d=u(),k(c.$$.fragment)},l(n){s=r(n,"P",{});var m=i(s);$=p(m,"Example of feature extraction:"),m.forEach(o),d=h(n),b(c.$$.fragment,n)},m(n,m){v(n,s,m),e(s,$),v(n,d,m),T(c,n,m),g=!0},p:C,i(n){g||(x(c.$$.fragment,n),g=!0)},o(n){y(c.$$.fragment,n),g=!1},d(n){n&&o(s),n&&o(d),M(c,n)}}}function Zb(q){let s,$,d,c,g,n,m,j;return m=new A({props:{code:`from transformers import AutoTokenizer, pipeline
from optimum.onnxruntime import ORTModelForFeatureExtraction

tokenizer = AutoTokenizer.from_pretrained("optimum/all-MiniLM-L6-v2")
model = ORTModelForFeatureExtraction.from_pretrained("optimum/all-MiniLM-L6-v2")
onnx_extractor = pipeline("feature-extraction", model=model, tokenizer=tokenizer)

text = "My name is Philipp and I live in Germany."
pred = onnx_extractor(text)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, pipeline
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> optimum.onnxruntime <span class="hljs-keyword">import</span> ORTModelForFeatureExtraction

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = ORTModelForFeatureExtraction.from_pretrained(<span class="hljs-string">&quot;optimum/all-MiniLM-L6-v2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>onnx_extractor = pipeline(<span class="hljs-string">&quot;feature-extraction&quot;</span>, model=model, tokenizer=tokenizer)

<span class="hljs-meta">&gt;&gt;&gt; </span>text = <span class="hljs-string">&quot;My name is Philipp and I live in Germany.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>pred = onnx_extractor(text)`}}),{c(){s=a("p"),$=l("Example using "),d=a("code"),c=l("transformers.pipeline"),g=l(":"),n=u(),k(m.$$.fragment)},l(f){s=r(f,"P",{});var O=i(s);$=p(O,"Example using "),d=r(O,"CODE",{});var E=i(d);c=p(E,"transformers.pipeline"),E.forEach(o),g=p(O,":"),O.forEach(o),n=h(f),b(m.$$.fragment,f)},m(f,O){v(f,s,O),e(s,$),e(s,d),e(d,c),e(s,g),v(f,n,O),T(m,f,O),j=!0},p:C,i(f){j||(x(m.$$.fragment,f),j=!0)},o(f){y(m.$$.fragment,f),j=!1},d(f){f&&o(s),f&&o(n),M(m,f)}}}function eT(q){let s,$,d,c,g,n,m,j,f,O,E,Lt,lr,Mn,pd,pr,md,vp,Ma,dd,wp,Ze,Vt,mr,On,cd,dr,ud,kp,S,jn,hd,cr,fd,gd,qn,_d,ur,$d,vd,wd,hr,kd,bd,En,xe,Td,fr,xd,yd,gr,Md,Od,_r,jd,qd,Ed,ye,Rd,$r,Fd,Cd,vr,Ad,Sd,wr,Nd,Pd,zd,kr,Id,Dd,de,Rn,Ld,br,Vd,Ud,Xd,Fn,Wd,Cn,Hd,Bd,Gd,ce,Qd,Tr,Jd,Kd,xr,Yd,Zd,yr,ec,tc,Mr,oc,nc,sc,An,ac,Or,rc,ic,lc,jr,pc,mc,Ut,Sn,dc,qr,cc,uc,Xt,Nn,hc,Pn,fc,Er,gc,_c,$c,Wt,zn,vc,Rr,wc,kc,Ht,In,bc,Fr,Tc,xc,Bt,Dn,yc,Cr,Mc,bp,et,Gt,Ar,Ln,Oc,Sr,jc,Tp,Oa,qc,xp,tt,Qt,Nr,Vn,Ec,Pr,Rc,yp,ue,Un,Fc,zr,Cc,Ac,Jt,Xn,Sc,Wn,Nc,Ir,Pc,zc,Ic,Z,Hn,Dc,ot,Lc,Dr,Vc,Uc,Lr,Xc,Wc,Hc,Kt,Bc,Yt,Gc,Zt,Mp,nt,eo,Vr,Bn,Qc,Ur,Jc,Op,D,Gn,Kc,Xr,Yc,Zc,Qn,eu,ja,tu,ou,nu,Wr,su,au,ee,Jn,ru,st,iu,Hr,lu,pu,Br,mu,du,cu,to,uu,oo,hu,no,jp,at,so,Gr,Kn,fu,Qr,gu,qp,he,Yn,_u,Jr,$u,vu,ao,Zn,wu,es,ku,Kr,bu,Tu,xu,te,ts,yu,rt,Mu,Yr,Ou,ju,Zr,qu,Eu,Ru,ro,Fu,io,Cu,lo,Ep,it,po,ei,os,Au,ti,Su,Rp,L,ns,Nu,oi,Pu,zu,ss,Iu,qa,Du,Lu,Vu,ni,Uu,Xu,I,as,Wu,lt,Hu,si,Bu,Gu,ai,Qu,Ju,Ku,mo,Yu,co,Zu,uo,eh,ho,Fp,pt,fo,ri,rs,th,ii,oh,Cp,V,is,nh,li,sh,ah,ls,rh,Ea,ih,lh,ph,pi,mh,dh,oe,ps,ch,mt,uh,mi,hh,fh,di,gh,_h,$h,go,vh,_o,wh,$o,Ap,dt,vo,ci,ms,kh,ui,bh,Sp,U,ds,Th,hi,xh,yh,cs,Mh,Ra,Oh,jh,qh,fi,Eh,Rh,ve,us,Fh,ct,Ch,gi,Ah,Sh,_i,Nh,Ph,zh,wo,Ih,ko,Np,ut,bo,$i,hs,Dh,vi,Lh,Pp,Fa,Vh,zp,ht,To,wi,fs,Uh,ki,Xh,Ip,X,gs,Wh,bi,Hh,Bh,_s,Gh,Ca,Qh,Jh,Kh,Ti,Yh,Zh,ne,$s,ef,ft,tf,xi,of,nf,yi,sf,af,rf,xo,lf,yo,pf,Mo,Dp,gt,Oo,Mi,vs,mf,Oi,df,Lp,W,ws,cf,ji,uf,hf,ks,ff,Aa,gf,_f,$f,qi,vf,wf,se,bs,kf,_t,bf,Ei,Tf,xf,Ri,yf,Mf,Of,jo,jf,qo,qf,Eo,Vp,$t,Ro,Fi,Ts,Ef,Ci,Rf,Up,H,xs,Ff,Ai,Cf,Af,ys,Sf,Sa,Nf,Pf,zf,Si,If,Df,ae,Ms,Lf,vt,Vf,Ni,Uf,Xf,Pi,Wf,Hf,Bf,Fo,Gf,Co,Qf,Ao,Xp,wt,So,zi,Os,Jf,Ii,Kf,Wp,Na,Yf,Hp,kt,No,Di,js,Zf,Li,eg,Bp,B,qs,tg,Vi,og,ng,Es,sg,Pa,ag,rg,ig,Ui,lg,pg,re,Rs,mg,bt,dg,Xi,cg,ug,Wi,hg,fg,gg,Po,_g,zo,$g,Io,Gp,Tt,Do,Hi,Fs,vg,Bi,wg,Qp,G,Cs,kg,Gi,bg,Tg,As,xg,za,yg,Mg,Og,Qi,jg,qg,we,Ss,Eg,xt,Rg,Ji,Fg,Cg,Ki,Ag,Sg,Ng,Lo,Pg,Vo,Jp,yt,Uo,Yi,Ns,zg,Zi,Ig,Kp,Q,Ps,Dg,el,Lg,Vg,zs,Ug,Ia,Xg,Wg,Hg,tl,Bg,Gg,ke,Is,Qg,Mt,Jg,ol,Kg,Yg,nl,Zg,e_,t_,Xo,o_,Wo,Yp,Ot,Ho,sl,Ds,n_,al,s_,Zp,fe,Ls,a_,rl,r_,i_,Bo,Vs,l_,Us,p_,il,m_,d_,c_,ie,Xs,u_,jt,h_,ll,f_,g_,pl,__,$_,v_,Go,w_,Qo,k_,Jo,em,qt,Ko,ml,Ws,b_,dl,T_,tm,J,Hs,x_,cl,y_,M_,Bs,O_,Da,j_,q_,E_,ul,R_,F_,be,Gs,C_,Et,A_,hl,S_,N_,fl,P_,z_,I_,Yo,D_,Zo,om,Rt,en,gl,Qs,L_,_l,V_,nm,La,U_,sm,Ft,tn,$l,Js,X_,vl,W_,am,ge,Ks,H_,wl,B_,G_,on,Ys,Q_,Zs,J_,kl,K_,Y_,Z_,le,ea,e$,Ct,t$,bl,o$,n$,Tl,s$,a$,r$,nn,i$,sn,l$,an,rm,At,rn,xl,ta,p$,yl,m$,im,Va,d$,lm,St,ln,Ml,oa,c$,Ol,u$,pm,K,na,h$,jl,f$,g$,sa,_$,Ua,$$,v$,w$,ql,k$,b$,pe,aa,T$,Nt,x$,El,y$,M$,Rl,O$,j$,q$,pn,E$,mn,R$,dn,mm,Pt,cn,Fl,ra,F$,Cl,C$,dm,Y,ia,A$,Al,S$,N$,la,P$,Xa,z$,I$,D$,Sl,L$,V$,me,pa,U$,zt,X$,Nl,W$,H$,Pl,B$,G$,Q$,un,J$,hn,K$,fn,cm,It,gn,zl,ma,Y$,Il,Z$,um,Dt,_n,Dl,da,ev,Ll,tv,hm,ca,ua,fm;return n=new P({}),Mn=new P({}),On=new P({}),jn=new R({props:{name:"class optimum.onnxruntime.ORTModel",anchor:"optimum.onnxruntime.ORTModel",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L143"}}),Sn=new R({props:{name:"from_pretrained",anchor:"optimum.onnxruntime.ORTModel.from_pretrained",parameters:[{name:"model_id",val:": typing.Union[str, pathlib.Path]"},{name:"export",val:": bool = False"},{name:"force_download",val:": bool = False"},{name:"use_auth_token",val:": typing.Optional[str] = None"},{name:"cache_dir",val:": typing.Optional[str] = None"},{name:"subfolder",val:": str = ''"},{name:"config",val:": typing.Optional[ForwardRef('PretrainedConfig')] = None"},{name:"local_files_only",val:": bool = False"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.model_id",description:`<strong>model_id</strong> (<code>Union[str, Path]</code>) &#x2014;
Can be either:</p>
<ul>
<li>A string, the <em>model id</em> of a pretrained model hosted inside a model repo on huggingface.co.
Valid model ids can be located at the root-level, like <code>bert-base-uncased</code>, or namespaced under a
user or organization name, like <code>dbmdz/bert-base-german-cased</code>.</li>
<li>A path to a <em>directory</em> containing a model saved using <code>~OptimizedModel.save_pretrained</code>,
e.g., <code>./my_model_directory/</code>.</li>
</ul>`,name:"model_id"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.from_transformers",description:`<strong>from_transformers</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Defines whether the provided <code>model_id</code> contains a vanilla Transformers checkpoint.`,name:"from_transformers"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.force_download",description:`<strong>force_download</strong> (<code>bool</code>, defaults to <code>True</code>) &#x2014;
Whether or not to force the (re-)download of the model weights and configuration files, overriding the
cached versions if they exist.`,name:"force_download"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_auth_token",description:`<strong>use_auth_token</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
The token to use as HTTP bearer authorization for remote files. If <code>True</code>, will use the token generated
when running <code>transformers-cli login</code> (stored in <code>~/.huggingface</code>).`,name:"use_auth_token"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.cache_dir",description:`<strong>cache_dir</strong> (<code>Optional[str]</code>, defaults to <code>None</code>) &#x2014;
Path to a directory in which a downloaded pretrained model configuration should be cached if the
standard cache should not be used.`,name:"cache_dir"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.subfolder",description:`<strong>subfolder</strong> (<code>str</code>, defaults to <code>&quot;&quot;</code>) &#x2014;
In case the relevant files are located inside a subfolder of the model repo either locally or on huggingface.co, you can
specify the folder name here.`,name:"subfolder"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.config",description:`<strong>config</strong> (<code>Optional[transformers.PretrainedConfig]</code>, defaults to <code>None</code>) &#x2014;
The model configuration.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.local_files_only",description:`<strong>local_files_only</strong> (<code>Optional[bool]</code>, defaults to <code>False</code>) &#x2014;
Whether or not to only look at local files (i.e., do not try to download the model).`,name:"local_files_only"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.trust_remote_code",description:`<strong>trust_remote_code</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Whether or not to allow for custom code defined on the Hub in their own modeling. This option should only be set
to <code>True</code> for repositories you trust and in which you have read the code, as it will execute code present on
the Hub on your local machine.`,name:"trust_remote_code"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider",description:`<strong>provider</strong> (<code>str</code>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a> for
possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, defaults to <code>None</code>), &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, defaults to <code>None</code>) &#x2014;
Provider option dictionaries corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"},{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, Any]</code>) &#x2014;
Will be passed to the underlying model loading methods.`,name:"kwargs"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L602",returnDescription:`
<p>The loaded ORTModel model.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`,parameterGroups:[{title:"Parameters for decoder models (ORTModelForCausalLM, ORTModelForSeq2SeqLM, ORTModelForSeq2SeqLM, ORTModelForSpeechSeq2Seq, ORTModelForVision2Seq)",parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_cache",description:`<strong>use_cache</strong> (<code>Optional[bool]</code>, defaults to <code>True</code>) &#x2014;
Whether or not past key/values cache should be used. Defaults to <code>True</code>.`,name:"use_cache"}]},{title:"Parameters for ORTModelForCausalLM",parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.from_pretrained.use_merged",description:`<strong>use_merged</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014;
whether or not to use a single ONNX that handles both the decoding without and with past key values reuse. This option defaults
to <code>True</code> if loading from a local repository and a merged decoder is found. When exporting with <code>from_transformers=True</code>,
defaults to <code>False</code>. This option should be set to <code>True</code> to minimize memory usage.`,name:"use_merged"}]}]}}),Nn=new R({props:{name:"load_model",anchor:"optimum.onnxruntime.ORTModel.load_model",parameters:[{name:"path",val:": typing.Union[str, pathlib.Path]"},{name:"provider",val:": str = 'CPUExecutionProvider'"},{name:"session_options",val:": typing.Optional[onnxruntime.capi.onnxruntime_pybind11_state.SessionOptions] = None"},{name:"provider_options",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.load_model.path",description:`<strong>path</strong> (<code>Union[str, Path]</code>) &#x2014;
Path of the ONNX model.`,name:"path"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider",description:`<strong>provider</strong> (<code>str</code>, defaults to <code>&quot;CPUExecutionProvider&quot;</code>) &#x2014;
ONNX Runtime provider to use for loading the model. See <a href="https://onnxruntime.ai/docs/execution-providers/" rel="nofollow">https://onnxruntime.ai/docs/execution-providers/</a>
for possible providers.`,name:"provider"},{anchor:"optimum.onnxruntime.ORTModel.load_model.session_options",description:`<strong>session_options</strong> (<code>Optional[onnxruntime.SessionOptions]</code>, defaults to <code>None</code>) &#x2014;
ONNX Runtime session options to use for loading the model.`,name:"session_options"},{anchor:"optimum.onnxruntime.ORTModel.load_model.provider_options",description:`<strong>provider_options</strong> (<code>Optional[Dict[str, Any]]</code>, defaults to <code>None</code>) &#x2014;
Provider option dictionary corresponding to the provider used. See available options
for each provider: <a href="https://onnxruntime.ai/docs/api/c/group___global.html" rel="nofollow">https://onnxruntime.ai/docs/api/c/group___global.html</a> .`,name:"provider_options"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L334"}}),zn=new R({props:{name:"raise_on_numpy_input_io_binding",anchor:"optimum.onnxruntime.ORTModel.raise_on_numpy_input_io_binding",parameters:[{name:"use_torch",val:": bool"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.raise_on_numpy_input_io_binding.use_torch",description:`<strong>use_torch</strong> (<code>bool</code>) &#x2014;
Whether the tensor used during inference are of type torch.Tensor or not.`,name:"use_torch"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L809"}}),In=new R({props:{name:"shared_attributes_init",anchor:"optimum.onnxruntime.ORTModel.shared_attributes_init",parameters:[{name:"model",val:": InferenceSession"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L187"}}),Dn=new R({props:{name:"to",anchor:"optimum.onnxruntime.ORTModel.to",parameters:[{name:"device",val:": typing.Union[torch.device, str, int]"}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModel.to.device",description:`<strong>device</strong> (<code>torch.device</code> or <code>str</code> or <code>int</code>) &#x2014;
Device ordinal for CPU/GPU supports. Setting this to -1 will leverage CPU, a positive will run
the model on the associated CUDA device id. You can pass native <code>torch.device</code> or a <code>str</code> too.`,name:"device"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L298",returnDescription:`
<p>the model placed on the requested device.</p>
`,returnType:`
<p><code>ORTModel</code></p>
`}}),Ln=new P({}),Vn=new P({}),Un=new R({props:{name:"class optimum.onnxruntime.ORTModelForCausalLM",anchor:"optimum.onnxruntime.ORTModelForCausalLM",parameters:[{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"onnx_paths",val:": typing.List[str]"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_cache",val:": bool = True"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_decoder.py#L623"}}),Xn=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForCausalLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_decoder.py#L695"}}),Hn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_decoder.py#L631"}}),Kt=new z({props:{$$slots:{default:[rb]},$$scope:{ctx:q}}}),Yt=new F({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example",$$slots:{default:[ib]},$$scope:{ctx:q}}}),Zt=new F({props:{anchor:"optimum.onnxruntime.ORTModelForCausalLM.forward.example-2",$$slots:{default:[lb]},$$scope:{ctx:q}}}),Bn=new P({}),Gn=new R({props:{name:"class optimum.onnxruntime.ORTModelForMaskedLM",anchor:"optimum.onnxruntime.ORTModelForMaskedLM",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L972"}}),Jn=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L979"}}),to=new z({props:{$$slots:{default:[pb]},$$scope:{ctx:q}}}),oo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.example",$$slots:{default:[mb]},$$scope:{ctx:q}}}),no=new F({props:{anchor:"optimum.onnxruntime.ORTModelForMaskedLM.forward.example-2",$$slots:{default:[db]},$$scope:{ctx:q}}}),Kn=new P({}),Yn=new R({props:{name:"class optimum.onnxruntime.ORTModelForSeq2SeqLM",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"onnx_paths",val:": typing.List[str]"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_cache",val:": bool = True"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_seq2seq.py#L972"}}),Zn=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_seq2seq.py#L1073"}}),ts=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward",parameters:[{name:"input_ids",val:": LongTensor = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of input sequence tokens in the vocabulary of shape <code>(batch_size, encoder_sequence_length)</code>.`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.LongTensor</code>) &#x2014;
Mask to avoid performing attention on padding token indices, of shape
<code>(batch_size, encoder_sequence_length)</code>. Mask values selected in <code>[0, 1]</code>.`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_seq2seq.py#L983"}}),ro=new z({props:{$$slots:{default:[cb]},$$scope:{ctx:q}}}),io=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example",$$slots:{default:[ub]},$$scope:{ctx:q}}}),lo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSeq2SeqLM.forward.example-2",$$slots:{default:[hb]},$$scope:{ctx:q}}}),os=new P({}),ns=new R({props:{name:"class optimum.onnxruntime.ORTModelForSequenceClassification",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1208"}}),as=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1215"}}),mo=new z({props:{$$slots:{default:[fb]},$$scope:{ctx:q}}}),co=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example",$$slots:{default:[gb]},$$scope:{ctx:q}}}),uo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-2",$$slots:{default:[_b]},$$scope:{ctx:q}}}),ho=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSequenceClassification.forward.example-3",$$slots:{default:[$b]},$$scope:{ctx:q}}}),rs=new P({}),is=new R({props:{name:"class optimum.onnxruntime.ORTModelForTokenClassification",anchor:"optimum.onnxruntime.ORTModelForTokenClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1314"}}),ps=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1321"}}),go=new z({props:{$$slots:{default:[vb]},$$scope:{ctx:q}}}),_o=new F({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example",$$slots:{default:[wb]},$$scope:{ctx:q}}}),$o=new F({props:{anchor:"optimum.onnxruntime.ORTModelForTokenClassification.forward.example-2",$$slots:{default:[kb]},$$scope:{ctx:q}}}),ms=new P({}),ds=new R({props:{name:"class optimum.onnxruntime.ORTModelForMultipleChoice",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1417"}}),us=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1424"}}),wo=new z({props:{$$slots:{default:[bb]},$$scope:{ctx:q}}}),ko=new F({props:{anchor:"optimum.onnxruntime.ORTModelForMultipleChoice.forward.example",$$slots:{default:[Tb]},$$scope:{ctx:q}}}),hs=new P({}),fs=new P({}),gs=new R({props:{name:"class optimum.onnxruntime.ORTModelForQuestionAnswering",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1080"}}),$s=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1087"}}),xo=new z({props:{$$slots:{default:[xb]},$$scope:{ctx:q}}}),yo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example",$$slots:{default:[yb]},$$scope:{ctx:q}}}),Mo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForQuestionAnswering.forward.example-2",$$slots:{default:[Mb]},$$scope:{ctx:q}}}),vs=new P({}),ws=new R({props:{name:"class optimum.onnxruntime.ORTModelForImageClassification",anchor:"optimum.onnxruntime.ORTModelForImageClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForImageClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1527"}}),bs=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward",parameters:[{name:"pixel_values",val:": typing.Union[torch.Tensor, numpy.ndarray]"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, num_channels, height, width)</code>, defaults to <code>None</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1534"}}),jo=new z({props:{$$slots:{default:[Ob]},$$scope:{ctx:q}}}),qo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example",$$slots:{default:[jb]},$$scope:{ctx:q}}}),Eo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForImageClassification.forward.example-2",$$slots:{default:[qb]},$$scope:{ctx:q}}}),Ts=new P({}),xs=new R({props:{name:"class optimum.onnxruntime.ORTModelForSemanticSegmentation",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1626"}}),Ms=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward",parameters:[{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, num_channels, height, width)</code>, defaults to <code>None</code>) &#x2014;
Pixel values corresponding to the images in the current batch.
Pixel values can be obtained from encoded images using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"pixel_values"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1633"}}),Fo=new z({props:{$$slots:{default:[Eb]},$$scope:{ctx:q}}}),Co=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example",$$slots:{default:[Rb]},$$scope:{ctx:q}}}),Ao=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSemanticSegmentation.forward.example-2",$$slots:{default:[Fb]},$$scope:{ctx:q}}}),Os=new P({}),js=new P({}),qs=new R({props:{name:"class optimum.onnxruntime.ORTModelForAudioClassification",anchor:"optimum.onnxruntime.ORTModelForAudioClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForAudioClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForAudioClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForAudioClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1738"}}),Rs=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForAudioClassification.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor] = None"},{name:"attenton_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForAudioClassification.forward.input_values",description:`<strong>input_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform..
Input values can be obtained from audio file loaded into an array using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"input_values"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1745"}}),Po=new z({props:{$$slots:{default:[Cb]},$$scope:{ctx:q}}}),zo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForAudioClassification.forward.example",$$slots:{default:[Ab]},$$scope:{ctx:q}}}),Io=new F({props:{anchor:"optimum.onnxruntime.ORTModelForAudioClassification.forward.example-2",$$slots:{default:[Sb]},$$scope:{ctx:q}}}),Fs=new P({}),Cs=new R({props:{name:"class optimum.onnxruntime.ORTModelForAudioFrameClassification",anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L2010"}}),Ss=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification.forward.input_values",description:`<strong>input_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform..
Input values can be obtained from audio file loaded into an array using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"input_values"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L2017"}}),Lo=new z({props:{$$slots:{default:[Nb]},$$scope:{ctx:q}}}),Vo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForAudioFrameClassification.forward.example",$$slots:{default:[Pb]},$$scope:{ctx:q}}}),Ns=new P({}),Ps=new R({props:{name:"class optimum.onnxruntime.ORTModelForCTC",anchor:"optimum.onnxruntime.ORTModelForCTC",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCTC.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCTC.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCTC.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1828"}}),Is=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCTC.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCTC.forward.input_values",description:`<strong>input_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform..
Input values can be obtained from audio file loaded into an array using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"input_values"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1835"}}),Xo=new z({props:{$$slots:{default:[zb]},$$scope:{ctx:q}}}),Wo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForCTC.forward.example",$$slots:{default:[Ib]},$$scope:{ctx:q}}}),Ds=new P({}),Ls=new R({props:{name:"class optimum.onnxruntime.ORTModelForSpeechSeq2Seq",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"onnx_paths",val:": typing.List[str]"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_cache",val:": bool = True"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_seq2seq.py#L1078"}}),Vs=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_seq2seq.py#L1176"}}),Xs=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward",parameters:[{name:"input_features",val:": typing.Optional[torch.FloatTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.LongTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.input_features",description:`<strong>input_features</strong> (<code>torch.FloatTensor</code>) &#x2014;
Mel features extracted from the raw speech waveform.
<code>(batch_size, feature_size, encoder_sequence_length)</code>.`,name:"input_features"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_seq2seq.py#L1089"}}),Go=new z({props:{$$slots:{default:[Db]},$$scope:{ctx:q}}}),Qo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example",$$slots:{default:[Lb]},$$scope:{ctx:q}}}),Jo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq.forward.example-2",$$slots:{default:[Vb]},$$scope:{ctx:q}}}),Ws=new P({}),Hs=new R({props:{name:"class optimum.onnxruntime.ORTModelForAudioXVector",anchor:"optimum.onnxruntime.ORTModelForAudioXVector",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForAudioXVector.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForAudioXVector.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForAudioXVector.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1916"}}),Gs=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForAudioXVector.forward",parameters:[{name:"input_values",val:": typing.Optional[torch.Tensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForAudioXVector.forward.input_values",description:`<strong>input_values</strong> (<code>torch.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Float values of input raw speech waveform..
Input values can be obtained from audio file loaded into an array using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autofeatureextractor" rel="nofollow"><code>AutoFeatureExtractor</code></a>.`,name:"input_values"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L1923"}}),Yo=new z({props:{$$slots:{default:[Ub]},$$scope:{ctx:q}}}),Zo=new F({props:{anchor:"optimum.onnxruntime.ORTModelForAudioXVector.forward.example",$$slots:{default:[Xb]},$$scope:{ctx:q}}}),Qs=new P({}),Js=new P({}),Ks=new R({props:{name:"class optimum.onnxruntime.ORTModelForVision2Seq",anchor:"optimum.onnxruntime.ORTModelForVision2Seq",parameters:[{name:"encoder_session",val:": InferenceSession"},{name:"decoder_session",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"onnx_paths",val:": typing.List[str]"},{name:"decoder_with_past_session",val:": typing.Optional[onnxruntime.capi.onnxruntime_inference_collection.InferenceSession] = None"},{name:"use_cache",val:": bool = True"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"generation_config",val:": typing.Optional[transformers.generation.configuration_utils.GenerationConfig] = None"},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_seq2seq.py#L1225"}}),Ys=new R({props:{name:"can_generate",anchor:"optimum.onnxruntime.ORTModelForVision2Seq.can_generate",parameters:[],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_seq2seq.py#L1357"}}),ea=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward",parameters:[{name:"pixel_values",val:": typing.Optional[torch.FloatTensor] = None"},{name:"decoder_input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"encoder_outputs",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"past_key_values",val:": typing.Optional[typing.Tuple[typing.Tuple[torch.Tensor]]] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.pixel_values",description:`<strong>pixel_values</strong> (<code>torch.FloatTensor</code>) &#x2014;
Features extracted from an Image. This tensor should be of shape
<code>(batch_size, num_channels, height, width)</code>.`,name:"pixel_values"},{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.decoder_input_ids",description:`<strong>decoder_input_ids</strong> (<code>torch.LongTensor</code>) &#x2014;
Indices of decoder input sequence tokens in the vocabulary of shape <code>(batch_size, decoder_sequence_length)</code>.`,name:"decoder_input_ids"},{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.encoder_outputs",description:`<strong>encoder_outputs</strong> (<code>torch.FloatTensor</code>) &#x2014;
The encoder <code>last_hidden_state</code> of shape <code>(batch_size, encoder_sequence_length, hidden_size)</code>.`,name:"encoder_outputs"},{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor), *optional*, defaults to </code>None<code>)</code> &#x2014;
Contains the precomputed key and value hidden states of the attention blocks used to speed up decoding.
The tuple is of length <code>config.n_layers</code> with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, decoder_sequence_length, embed_size_per_head)</code> and 2 additional tensors of shape
<code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.`,name:"past_key_values"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_seq2seq.py#L1272"}}),nn=new z({props:{$$slots:{default:[Wb]},$$scope:{ctx:q}}}),sn=new F({props:{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.example",$$slots:{default:[Hb]},$$scope:{ctx:q}}}),an=new F({props:{anchor:"optimum.onnxruntime.ORTModelForVision2Seq.forward.example-2",$$slots:{default:[Bb]},$$scope:{ctx:q}}}),ta=new P({}),oa=new P({}),na=new R({props:{name:"class optimum.onnxruntime.ORTModelForCustomTasks",anchor:"optimum.onnxruntime.ORTModelForCustomTasks",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L2095"}}),aa=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward",parameters:[{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L2100"}}),pn=new z({props:{$$slots:{default:[Gb]},$$scope:{ctx:q}}}),mn=new F({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example",$$slots:{default:[Qb]},$$scope:{ctx:q}}}),dn=new F({props:{anchor:"optimum.onnxruntime.ORTModelForCustomTasks.forward.example-2",$$slots:{default:[Jb]},$$scope:{ctx:q}}}),ra=new P({}),ia=new R({props:{name:"class optimum.onnxruntime.ORTModelForFeatureExtraction",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction",parameters:[{name:"model",val:": InferenceSession"},{name:"config",val:": PretrainedConfig"},{name:"use_io_binding",val:": typing.Optional[bool] = None"},{name:"model_save_dir",val:": typing.Union[str, pathlib.Path, tempfile.TemporaryDirectory, NoneType] = None"},{name:"preprocessors",val:": typing.Optional[typing.List] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.config",description:`<strong>config</strong> (<code>transformers.PretrainedConfig</code>) &#x2014; <a href="https://huggingface.co/docs/transformers/main_classes/configuration#transformers.PretrainedConfig" rel="nofollow">PretrainedConfig</a> is the Model configuration class with all the parameters of the model.
Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.model",description:'<strong>model</strong> (<code>onnxruntime.InferenceSession</code>) &#x2014; <a href="https://onnxruntime.ai/docs/api/python/api_summary.html#inferencesession" rel="nofollow">onnxruntime.InferenceSession</a> is the main class used to run a model. Check out the <a href="/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel.load_model">load_model()</a> method for more information.',name:"model"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.use_io_binding",description:"<strong>use_io_binding</strong> (<code>Optional[bool]</code>, defaults to <code>None</code>) &#x2014; Whether to use IOBinding during inference to avoid memory copy between the host and devices. Defaults to <code>True</code> if the device is CUDA, otherwise defaults to <code>False</code>.",name:"use_io_binding"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L865"}}),pa=new R({props:{name:"forward",anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward",parameters:[{name:"input_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"attention_mask",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[torch.Tensor, numpy.ndarray, NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.input_ids",description:`<strong>input_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.
Indices can be obtained using <a href="https://huggingface.co/docs/transformers/autoclass_tutorial#autotokenizer" rel="nofollow"><code>AutoTokenizer</code></a>.
See <a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.encode" rel="nofollow"><code>PreTrainedTokenizer.encode</code></a> and
<a href="https://huggingface.co/docs/transformers/main_classes/tokenizer#transformers.PreTrainedTokenizerBase.__call__" rel="nofollow"><code>PreTrainedTokenizer.__call__</code></a> for details.
<a href="https://huggingface.co/docs/transformers/glossary#input-ids" rel="nofollow">What are input IDs?</a>`,name:"input_ids"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#attention-mask" rel="nofollow">What are attention masks?</a></li>
</ul>`,name:"attention_mask"},{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Union[torch.Tensor, np.ndarray, None]</code> of shape <code>(batch_size, sequence_length)</code>, defaults to <code>None</code>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:<ul>
<li>1 for tokens that are <strong>sentence A</strong>,</li>
<li>0 for tokens that are <strong>sentence B</strong>.
<a href="https://huggingface.co/docs/transformers/glossary#token-type-ids" rel="nofollow">What are token type IDs?</a></li>
</ul>`,name:"token_type_ids"}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/onnxruntime/modeling_ort.py#L872"}}),un=new z({props:{$$slots:{default:[Kb]},$$scope:{ctx:q}}}),hn=new F({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example",$$slots:{default:[Yb]},$$scope:{ctx:q}}}),fn=new F({props:{anchor:"optimum.onnxruntime.ORTModelForFeatureExtraction.forward.example-2",$$slots:{default:[Zb]},$$scope:{ctx:q}}}),ma=new P({}),da=new P({}),ua=new R({props:{name:"class optimum.utils.dummy_diffusers_objects.ORTStableDiffusionPipeline",anchor:"optimum.utils.dummy_diffusers_objects.ORTStableDiffusionPipeline",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],source:"https://github.com/huggingface/optimum/blob/v1.8.4/optimum/utils/dummy_diffusers_objects.py#L18"}}),{c(){s=a("meta"),$=u(),d=a("h1"),c=a("a"),g=a("span"),k(n.$$.fragment),m=u(),j=a("span"),f=l("Models"),O=u(),E=a("h2"),Lt=a("a"),lr=a("span"),k(Mn.$$.fragment),pd=u(),pr=a("span"),md=l("Generic model classes"),vp=u(),Ma=a("p"),dd=l("The following ORT classes are available for instantiating a base model class without a specific head."),wp=u(),Ze=a("h3"),Vt=a("a"),mr=a("span"),k(On.$$.fragment),cd=u(),dr=a("span"),ud=l("ORTModel"),kp=u(),S=a("div"),k(jn.$$.fragment),hd=u(),cr=a("p"),fd=l("Base class for implementing models using ONNX Runtime."),gd=u(),qn=a("p"),_d=l(`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),ur=a("code"),$d=l("optimum.exporters.onnx"),vd=l(" toolchain."),wd=u(),hr=a("p"),kd=l("Class attributes:"),bd=u(),En=a("ul"),xe=a("li"),Td=l("model_type ("),fr=a("code"),xd=l("str"),yd=l(", "),gr=a("em"),Md=l("optional"),Od=l(", defaults to "),_r=a("code"),jd=l('"onnx_model"'),qd=l(`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),Ed=u(),ye=a("li"),Rd=l("auto_model_class ("),$r=a("code"),Fd=l("Type"),Cd=l(", "),vr=a("em"),Ad=l("optional"),Sd=l(", defaults to "),wr=a("code"),Nd=l("AutoModel"),Pd=l(`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),zd=u(),kr=a("p"),Id=l("Common attributes:"),Dd=u(),de=a("ul"),Rn=a("li"),Ld=l("model ("),br=a("code"),Vd=l("ort.InferenceSession"),Ud=l(") \u2014 The ONNX Runtime InferenceSession that is running the model."),Xd=u(),Fn=a("li"),Wd=l("config ("),Cn=a("a"),Hd=l("PretrainedConfig"),Bd=l(" \u2014 The configuration of the model."),Gd=u(),ce=a("li"),Qd=l("use_io_binding ("),Tr=a("code"),Jd=l("bool"),Kd=l(", "),xr=a("em"),Yd=l("optional"),Zd=l(", defaults to "),yr=a("code"),ec=l("True"),tc=l(") \u2014 Whether to use I/O bindings with "),Mr=a("strong"),oc=l(`ONNX Runtime
with the CUDAExecutionProvider`),nc=l(", this can significantly speedup inference depending on the task."),sc=u(),An=a("li"),ac=l("model_save_dir ("),Or=a("code"),rc=l("Path"),ic=l(`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),lc=u(),jr=a("li"),pc=l("providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),mc=u(),Ut=a("div"),k(Sn.$$.fragment),dc=u(),qr=a("p"),cc=l("Instantiate a pretrained model from a pre-trained model configuration."),uc=u(),Xt=a("div"),k(Nn.$$.fragment),hc=u(),Pn=a("p"),fc=l("Loads an ONNX Inference session with a given provider. Default provider is "),Er=a("code"),gc=l("CPUExecutionProvider"),_c=l(` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),$c=u(),Wt=a("div"),k(zn.$$.fragment),vc=u(),Rr=a("p"),wc=l("Raises an error if IO Binding is requested although the tensor used are numpy arrays."),kc=u(),Ht=a("div"),k(In.$$.fragment),bc=u(),Fr=a("p"),Tc=l("Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),xc=u(),Bt=a("div"),k(Dn.$$.fragment),yc=u(),Cr=a("p"),Mc=l("Changes the ONNX Runtime provider according to the device."),bp=u(),et=a("h2"),Gt=a("a"),Ar=a("span"),k(Ln.$$.fragment),Oc=u(),Sr=a("span"),jc=l("Natural Language Processing"),Tp=u(),Oa=a("p"),qc=l("The following ORT classes are available for the following natural language processing tasks."),xp=u(),tt=a("h3"),Qt=a("a"),Nr=a("span"),k(Vn.$$.fragment),Ec=u(),Pr=a("span"),Rc=l("ORTModelForCausalLM"),yp=u(),ue=a("div"),k(Un.$$.fragment),Fc=u(),zr=a("p"),Cc=l("ONNX model with a causal language modeling head for ONNX Runtime inference."),Ac=u(),Jt=a("div"),k(Xn.$$.fragment),Sc=u(),Wn=a("p"),Nc=l("Returns True to validate the check that the model using "),Ir=a("code"),Pc=l("GenerationMixin.generate()"),zc=l(" can indeed generate."),Ic=u(),Z=a("div"),k(Hn.$$.fragment),Dc=u(),ot=a("p"),Lc=l("The "),Dr=a("code"),Vc=l("ORTModelForCausalLM"),Uc=l(" forward method, overrides the "),Lr=a("code"),Xc=l("__call__"),Wc=l(" special method."),Hc=u(),k(Kt.$$.fragment),Bc=u(),k(Yt.$$.fragment),Gc=u(),k(Zt.$$.fragment),Mp=u(),nt=a("h3"),eo=a("a"),Vr=a("span"),k(Bn.$$.fragment),Qc=u(),Ur=a("span"),Jc=l("ORTModelForMaskedLM"),Op=u(),D=a("div"),k(Gn.$$.fragment),Kc=u(),Xr=a("p"),Yc=l("Onnx Model with a MaskedLMOutput for masked language modeling tasks."),Zc=u(),Qn=a("p"),eu=l("This model inherits from "),ja=a("a"),tu=l("ORTModel"),ou=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),nu=u(),Wr=a("p"),su=l("Masked language model for ONNX."),au=u(),ee=a("div"),k(Jn.$$.fragment),ru=u(),st=a("p"),iu=l("The "),Hr=a("code"),lu=l("ORTModelForMaskedLM"),pu=l(" forward method, overrides the "),Br=a("code"),mu=l("__call__"),du=l(" special method."),cu=u(),k(to.$$.fragment),uu=u(),k(oo.$$.fragment),hu=u(),k(no.$$.fragment),jp=u(),at=a("h3"),so=a("a"),Gr=a("span"),k(Kn.$$.fragment),fu=u(),Qr=a("span"),gu=l("ORTModelForSeq2SeqLM"),qp=u(),he=a("div"),k(Yn.$$.fragment),_u=u(),Jr=a("p"),$u=l("Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),vu=u(),ao=a("div"),k(Zn.$$.fragment),wu=u(),es=a("p"),ku=l("Returns True to validate the check that the model using "),Kr=a("code"),bu=l("GenerationMixin.generate()"),Tu=l(" can indeed generate."),xu=u(),te=a("div"),k(ts.$$.fragment),yu=u(),rt=a("p"),Mu=l("The "),Yr=a("code"),Ou=l("ORTModelForSeq2SeqLM"),ju=l(" forward method, overrides the "),Zr=a("code"),qu=l("__call__"),Eu=l(" special method."),Ru=u(),k(ro.$$.fragment),Fu=u(),k(io.$$.fragment),Cu=u(),k(lo.$$.fragment),Ep=u(),it=a("h3"),po=a("a"),ei=a("span"),k(os.$$.fragment),Au=u(),ti=a("span"),Su=l("ORTModelForSequenceClassification"),Rp=u(),L=a("div"),k(ns.$$.fragment),Nu=u(),oi=a("p"),Pu=l(`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),zu=u(),ss=a("p"),Iu=l("This model inherits from "),qa=a("a"),Du=l("ORTModel"),Lu=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Vu=u(),ni=a("p"),Uu=l("Sequence Classification model for ONNX."),Xu=u(),I=a("div"),k(as.$$.fragment),Wu=u(),lt=a("p"),Hu=l("The "),si=a("code"),Bu=l("ORTModelForSequenceClassification"),Gu=l(" forward method, overrides the "),ai=a("code"),Qu=l("__call__"),Ju=l(" special method."),Ku=u(),k(mo.$$.fragment),Yu=u(),k(co.$$.fragment),Zu=u(),k(uo.$$.fragment),eh=u(),k(ho.$$.fragment),Fp=u(),pt=a("h3"),fo=a("a"),ri=a("span"),k(rs.$$.fragment),th=u(),ii=a("span"),oh=l("ORTModelForTokenClassification"),Cp=u(),V=a("div"),k(is.$$.fragment),nh=u(),li=a("p"),sh=l(`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),ah=u(),ls=a("p"),rh=l("This model inherits from "),Ea=a("a"),ih=l("ORTModel"),lh=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ph=u(),pi=a("p"),mh=l("Token Classification model for ONNX."),dh=u(),oe=a("div"),k(ps.$$.fragment),ch=u(),mt=a("p"),uh=l("The "),mi=a("code"),hh=l("ORTModelForTokenClassification"),fh=l(" forward method, overrides the "),di=a("code"),gh=l("__call__"),_h=l(" special method."),$h=u(),k(go.$$.fragment),vh=u(),k(_o.$$.fragment),wh=u(),k($o.$$.fragment),Ap=u(),dt=a("h3"),vo=a("a"),ci=a("span"),k(ms.$$.fragment),kh=u(),ui=a("span"),bh=l("ORTModelForMultipleChoice"),Sp=u(),U=a("div"),k(ds.$$.fragment),Th=u(),hi=a("p"),xh=l(`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),yh=u(),cs=a("p"),Mh=l("This model inherits from "),Ra=a("a"),Oh=l("ORTModel"),jh=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),qh=u(),fi=a("p"),Eh=l("Multiple choice model for ONNX."),Rh=u(),ve=a("div"),k(us.$$.fragment),Fh=u(),ct=a("p"),Ch=l("The "),gi=a("code"),Ah=l("ORTModelForMultipleChoice"),Sh=l(" forward method, overrides the "),_i=a("code"),Nh=l("__call__"),Ph=l(" special method."),zh=u(),k(wo.$$.fragment),Ih=u(),k(ko.$$.fragment),Np=u(),ut=a("h2"),bo=a("a"),$i=a("span"),k(hs.$$.fragment),Dh=u(),vi=a("span"),Lh=l("Computer vision"),Pp=u(),Fa=a("p"),Vh=l("The following ORT classes are available for the following computer vision tasks."),zp=u(),ht=a("h3"),To=a("a"),wi=a("span"),k(fs.$$.fragment),Uh=u(),ki=a("span"),Xh=l("ORTModelForQuestionAnswering"),Ip=u(),X=a("div"),k(gs.$$.fragment),Wh=u(),bi=a("p"),Hh=l("Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),Bh=u(),_s=a("p"),Gh=l("This model inherits from "),Ca=a("a"),Qh=l("ORTModel"),Jh=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Kh=u(),Ti=a("p"),Yh=l("Question Answering model for ONNX."),Zh=u(),ne=a("div"),k($s.$$.fragment),ef=u(),ft=a("p"),tf=l("The "),xi=a("code"),of=l("ORTModelForQuestionAnswering"),nf=l(" forward method, overrides the "),yi=a("code"),sf=l("__call__"),af=l(" special method."),rf=u(),k(xo.$$.fragment),lf=u(),k(yo.$$.fragment),pf=u(),k(Mo.$$.fragment),Dp=u(),gt=a("h3"),Oo=a("a"),Mi=a("span"),k(vs.$$.fragment),mf=u(),Oi=a("span"),df=l("ORTModelForImageClassification"),Lp=u(),W=a("div"),k(ws.$$.fragment),cf=u(),ji=a("p"),uf=l("Onnx Model for image-classification tasks."),hf=u(),ks=a("p"),ff=l("This model inherits from "),Aa=a("a"),gf=l("ORTModel"),_f=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),$f=u(),qi=a("p"),vf=l("Image Classification model for ONNX."),wf=u(),se=a("div"),k(bs.$$.fragment),kf=u(),_t=a("p"),bf=l("The "),Ei=a("code"),Tf=l("ORTModelForImageClassification"),xf=l(" forward method, overrides the "),Ri=a("code"),yf=l("__call__"),Mf=l(" special method."),Of=u(),k(jo.$$.fragment),jf=u(),k(qo.$$.fragment),qf=u(),k(Eo.$$.fragment),Vp=u(),$t=a("h3"),Ro=a("a"),Fi=a("span"),k(Ts.$$.fragment),Ef=u(),Ci=a("span"),Rf=l("ORTModelForSemanticSegmentation"),Up=u(),H=a("div"),k(xs.$$.fragment),Ff=u(),Ai=a("p"),Cf=l("Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),Af=u(),ys=a("p"),Sf=l("This model inherits from "),Sa=a("a"),Nf=l("ORTModel"),Pf=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),zf=u(),Si=a("p"),If=l("Semantic Segmentation model for ONNX."),Df=u(),ae=a("div"),k(Ms.$$.fragment),Lf=u(),vt=a("p"),Vf=l("The "),Ni=a("code"),Uf=l("ORTModelForSemanticSegmentation"),Xf=l(" forward method, overrides the "),Pi=a("code"),Wf=l("__call__"),Hf=l(" special method."),Bf=u(),k(Fo.$$.fragment),Gf=u(),k(Co.$$.fragment),Qf=u(),k(Ao.$$.fragment),Xp=u(),wt=a("h2"),So=a("a"),zi=a("span"),k(Os.$$.fragment),Jf=u(),Ii=a("span"),Kf=l("Audio"),Wp=u(),Na=a("p"),Yf=l("The following ORT classes are available for the following audio tasks."),Hp=u(),kt=a("h3"),No=a("a"),Di=a("span"),k(js.$$.fragment),Zf=u(),Li=a("span"),eg=l("ORTModelForAudioClassification"),Bp=u(),B=a("div"),k(qs.$$.fragment),tg=u(),Vi=a("p"),og=l(`Onnx Model with a sequence classification head on top (a linear layer over the pooled output) for tasks like
SUPERB Keyword Spotting.`),ng=u(),Es=a("p"),sg=l("This model inherits from "),Pa=a("a"),ag=l("ORTModel"),rg=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),ig=u(),Ui=a("p"),lg=l("Audio Classification model for ONNX."),pg=u(),re=a("div"),k(Rs.$$.fragment),mg=u(),bt=a("p"),dg=l("The "),Xi=a("code"),cg=l("ORTModelForAudioClassification"),ug=l(" forward method, overrides the "),Wi=a("code"),hg=l("__call__"),fg=l(" special method."),gg=u(),k(Po.$$.fragment),_g=u(),k(zo.$$.fragment),$g=u(),k(Io.$$.fragment),Gp=u(),Tt=a("h3"),Do=a("a"),Hi=a("span"),k(Fs.$$.fragment),vg=u(),Bi=a("span"),wg=l("ORTModelForAudioFrameClassification"),Qp=u(),G=a("div"),k(Cs.$$.fragment),kg=u(),Gi=a("p"),bg=l("Onnx Model for with a frame classification head on top for tasks like Speaker Diarization."),Tg=u(),As=a("p"),xg=l("This model inherits from "),za=a("a"),yg=l("ORTModel"),Mg=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Og=u(),Qi=a("p"),jg=l("Audio Frame Classification model for ONNX."),qg=u(),we=a("div"),k(Ss.$$.fragment),Eg=u(),xt=a("p"),Rg=l("The "),Ji=a("code"),Fg=l("ORTModelForAudioFrameClassification"),Cg=l(" forward method, overrides the "),Ki=a("code"),Ag=l("__call__"),Sg=l(" special method."),Ng=u(),k(Lo.$$.fragment),Pg=u(),k(Vo.$$.fragment),Jp=u(),yt=a("h3"),Uo=a("a"),Yi=a("span"),k(Ns.$$.fragment),zg=u(),Zi=a("span"),Ig=l("ORTModelForCTC"),Kp=u(),Q=a("div"),k(Ps.$$.fragment),Dg=u(),el=a("p"),Lg=l("Onnx Model with a language modeling head on top for Connectionist Temporal Classification (CTC)."),Vg=u(),zs=a("p"),Ug=l("This model inherits from "),Ia=a("a"),Xg=l("ORTModel"),Wg=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Hg=u(),tl=a("p"),Bg=l("CTC model for ONNX."),Gg=u(),ke=a("div"),k(Is.$$.fragment),Qg=u(),Mt=a("p"),Jg=l("The "),ol=a("code"),Kg=l("ORTModelForCTC"),Yg=l(" forward method, overrides the "),nl=a("code"),Zg=l("__call__"),e_=l(" special method."),t_=u(),k(Xo.$$.fragment),o_=u(),k(Wo.$$.fragment),Yp=u(),Ot=a("h3"),Ho=a("a"),sl=a("span"),k(Ds.$$.fragment),n_=u(),al=a("span"),s_=l("ORTModelForSpeechSeq2Seq"),Zp=u(),fe=a("div"),k(Ls.$$.fragment),a_=u(),rl=a("p"),r_=l("Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),i_=u(),Bo=a("div"),k(Vs.$$.fragment),l_=u(),Us=a("p"),p_=l("Returns True to validate the check that the model using "),il=a("code"),m_=l("GenerationMixin.generate()"),d_=l(" can indeed generate."),c_=u(),ie=a("div"),k(Xs.$$.fragment),u_=u(),jt=a("p"),h_=l("The "),ll=a("code"),f_=l("ORTModelForSpeechSeq2Seq"),g_=l(" forward method, overrides the "),pl=a("code"),__=l("__call__"),$_=l(" special method."),v_=u(),k(Go.$$.fragment),w_=u(),k(Qo.$$.fragment),k_=u(),k(Jo.$$.fragment),em=u(),qt=a("h3"),Ko=a("a"),ml=a("span"),k(Ws.$$.fragment),b_=u(),dl=a("span"),T_=l("ORTModelForAudioXVector"),tm=u(),J=a("div"),k(Hs.$$.fragment),x_=u(),cl=a("p"),y_=l("Onnx Model with an XVector feature extraction head on top for tasks like Speaker Verification."),M_=u(),Bs=a("p"),O_=l("This model inherits from "),Da=a("a"),j_=l("ORTModel"),q_=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),E_=u(),ul=a("p"),R_=l("Audio XVector model for ONNX."),F_=u(),be=a("div"),k(Gs.$$.fragment),C_=u(),Et=a("p"),A_=l("The "),hl=a("code"),S_=l("ORTModelForAudioXVector"),N_=l(" forward method, overrides the "),fl=a("code"),P_=l("__call__"),z_=l(" special method."),I_=u(),k(Yo.$$.fragment),D_=u(),k(Zo.$$.fragment),om=u(),Rt=a("h2"),en=a("a"),gl=a("span"),k(Qs.$$.fragment),L_=u(),_l=a("span"),V_=l("Multimodal"),nm=u(),La=a("p"),U_=l("The following ORT classes are available for the following multimodal tasks."),sm=u(),Ft=a("h3"),tn=a("a"),$l=a("span"),k(Js.$$.fragment),X_=u(),vl=a("span"),W_=l("ORTModelForVision2Seq"),am=u(),ge=a("div"),k(Ks.$$.fragment),H_=u(),wl=a("p"),B_=l("VisionEncoderDecoder Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),G_=u(),on=a("div"),k(Ys.$$.fragment),Q_=u(),Zs=a("p"),J_=l("Returns True to validate the check that the model using "),kl=a("code"),K_=l("GenerationMixin.generate()"),Y_=l(" can indeed generate."),Z_=u(),le=a("div"),k(ea.$$.fragment),e$=u(),Ct=a("p"),t$=l("The "),bl=a("code"),o$=l("ORTModelForVision2Seq"),n$=l(" forward method, overrides the "),Tl=a("code"),s$=l("__call__"),a$=l(" special method."),r$=u(),k(nn.$$.fragment),i$=u(),k(sn.$$.fragment),l$=u(),k(an.$$.fragment),rm=u(),At=a("h2"),rn=a("a"),xl=a("span"),k(ta.$$.fragment),p$=u(),yl=a("span"),m$=l("Custom Tasks"),im=u(),Va=a("p"),d$=l("The following ORT classes are available for the following custom tasks."),lm=u(),St=a("h4"),ln=a("a"),Ml=a("span"),k(oa.$$.fragment),c$=u(),Ol=a("span"),u$=l("ORTModelForCustomTasks"),pm=u(),K=a("div"),k(na.$$.fragment),h$=u(),jl=a("p"),f$=l("ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),g$=u(),sa=a("p"),_$=l("This model inherits from "),Ua=a("a"),$$=l("ORTModel"),v$=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),w$=u(),ql=a("p"),k$=l("Model for any custom tasks if the ONNX model is stored in a single file."),b$=u(),pe=a("div"),k(aa.$$.fragment),T$=u(),Nt=a("p"),x$=l("The "),El=a("code"),y$=l("ORTModelForCustomTasks"),M$=l(" forward method, overrides the "),Rl=a("code"),O$=l("__call__"),j$=l(" special method."),q$=u(),k(pn.$$.fragment),E$=u(),k(mn.$$.fragment),R$=u(),k(dn.$$.fragment),mm=u(),Pt=a("h4"),cn=a("a"),Fl=a("span"),k(ra.$$.fragment),F$=u(),Cl=a("span"),C$=l("ORTModelForFeatureExtraction"),dm=u(),Y=a("div"),k(ia.$$.fragment),A$=u(),Al=a("p"),S$=l("Onnx Model with a BaseModelOutput for feature-extraction tasks."),N$=u(),la=a("p"),P$=l("This model inherits from "),Xa=a("a"),z$=l("ORTModel"),I$=l(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),D$=u(),Sl=a("p"),L$=l("Feature Extraction model for ONNX."),V$=u(),me=a("div"),k(pa.$$.fragment),U$=u(),zt=a("p"),X$=l("The "),Nl=a("code"),W$=l("ORTModelForFeatureExtraction"),H$=l(" forward method, overrides the "),Pl=a("code"),B$=l("__call__"),G$=l(" special method."),Q$=u(),k(un.$$.fragment),J$=u(),k(hn.$$.fragment),K$=u(),k(fn.$$.fragment),cm=u(),It=a("h2"),gn=a("a"),zl=a("span"),k(ma.$$.fragment),Y$=u(),Il=a("span"),Z$=l("Stable Diffusion"),um=u(),Dt=a("h4"),_n=a("a"),Dl=a("span"),k(da.$$.fragment),ev=u(),Ll=a("span"),tv=l("ORTStableDiffusionPipeline"),hm=u(),ca=a("div"),k(ua.$$.fragment),this.h()},l(t){const _=sb('[data-svelte="svelte-1phssyn"]',document.head);s=r(_,"META",{name:!0,content:!0}),_.forEach(o),$=h(t),d=r(t,"H1",{class:!0});var ha=i(d);c=r(ha,"A",{id:!0,class:!0,href:!0});var Vl=i(c);g=r(Vl,"SPAN",{});var Ul=i(g);b(n.$$.fragment,Ul),Ul.forEach(o),Vl.forEach(o),m=h(ha),j=r(ha,"SPAN",{});var Xl=i(j);f=p(Xl,"Models"),Xl.forEach(o),ha.forEach(o),O=h(t),E=r(t,"H2",{class:!0});var fa=i(E);Lt=r(fa,"A",{id:!0,class:!0,href:!0});var Wl=i(Lt);lr=r(Wl,"SPAN",{});var Hl=i(lr);b(Mn.$$.fragment,Hl),Hl.forEach(o),Wl.forEach(o),pd=h(fa),pr=r(fa,"SPAN",{});var Bl=i(pr);md=p(Bl,"Generic model classes"),Bl.forEach(o),fa.forEach(o),vp=h(t),Ma=r(t,"P",{});var Gl=i(Ma);dd=p(Gl,"The following ORT classes are available for instantiating a base model class without a specific head."),Gl.forEach(o),wp=h(t),Ze=r(t,"H3",{class:!0});var ga=i(Ze);Vt=r(ga,"A",{id:!0,class:!0,href:!0});var Ql=i(Vt);mr=r(Ql,"SPAN",{});var Jl=i(mr);b(On.$$.fragment,Jl),Jl.forEach(o),Ql.forEach(o),cd=h(ga),dr=r(ga,"SPAN",{});var Kl=i(dr);ud=p(Kl,"ORTModel"),Kl.forEach(o),ga.forEach(o),kp=h(t),S=r(t,"DIV",{class:!0});var N=i(S);b(jn.$$.fragment,N),hd=h(N),cr=r(N,"P",{});var Yl=i(cr);fd=p(Yl,"Base class for implementing models using ONNX Runtime."),Yl.forEach(o),gd=h(N),qn=r(N,"P",{});var _a=i(qn);_d=p(_a,`The ORTModel implements generic methods for interacting with the Hugging Face Hub as well as exporting vanilla
transformers models to ONNX using `),ur=r(_a,"CODE",{});var Zl=i(ur);$d=p(Zl,"optimum.exporters.onnx"),Zl.forEach(o),vd=p(_a," toolchain."),_a.forEach(o),wd=h(N),hr=r(N,"P",{});var ep=i(hr);kd=p(ep,"Class attributes:"),ep.forEach(o),bd=h(N),En=r(N,"UL",{});var $a=i(En);xe=r($a,"LI",{});var Me=i(xe);Td=p(Me,"model_type ("),fr=r(Me,"CODE",{});var tp=i(fr);xd=p(tp,"str"),tp.forEach(o),yd=p(Me,", "),gr=r(Me,"EM",{});var op=i(gr);Md=p(op,"optional"),op.forEach(o),Od=p(Me,", defaults to "),_r=r(Me,"CODE",{});var np=i(_r);jd=p(np,'"onnx_model"'),np.forEach(o),qd=p(Me,`) \u2014 The name of the model type to use when
registering the ORTModel classes.`),Me.forEach(o),Ed=h($a),ye=r($a,"LI",{});var Oe=i(ye);Rd=p(Oe,"auto_model_class ("),$r=r(Oe,"CODE",{});var sp=i($r);Fd=p(sp,"Type"),sp.forEach(o),Cd=p(Oe,", "),vr=r(Oe,"EM",{});var ap=i(vr);Ad=p(ap,"optional"),ap.forEach(o),Sd=p(Oe,", defaults to "),wr=r(Oe,"CODE",{});var rp=i(wr);Nd=p(rp,"AutoModel"),rp.forEach(o),Pd=p(Oe,`) \u2014 The \u201CAutoModel\u201D class to represented by the
current ORTModel class.`),Oe.forEach(o),$a.forEach(o),zd=h(N),kr=r(N,"P",{});var ip=i(kr);Id=p(ip,"Common attributes:"),ip.forEach(o),Dd=h(N),de=r(N,"UL",{});var _e=i(de);Rn=r(_e,"LI",{});var va=i(Rn);Ld=p(va,"model ("),br=r(va,"CODE",{});var lp=i(br);Vd=p(lp,"ort.InferenceSession"),lp.forEach(o),Ud=p(va,") \u2014 The ONNX Runtime InferenceSession that is running the model."),va.forEach(o),Xd=h(_e),Fn=r(_e,"LI",{});var wa=i(Fn);Wd=p(wa,"config ("),Cn=r(wa,"A",{href:!0,rel:!0});var pp=i(Cn);Hd=p(pp,"PretrainedConfig"),pp.forEach(o),Bd=p(wa," \u2014 The configuration of the model."),wa.forEach(o),Gd=h(_e),ce=r(_e,"LI",{});var $e=i(ce);Qd=p($e,"use_io_binding ("),Tr=r($e,"CODE",{});var mp=i(Tr);Jd=p(mp,"bool"),mp.forEach(o),Kd=p($e,", "),xr=r($e,"EM",{});var dp=i(xr);Yd=p(dp,"optional"),dp.forEach(o),Zd=p($e,", defaults to "),yr=r($e,"CODE",{});var cp=i(yr);ec=p(cp,"True"),cp.forEach(o),tc=p($e,") \u2014 Whether to use I/O bindings with "),Mr=r($e,"STRONG",{});var up=i(Mr);oc=p(up,`ONNX Runtime
with the CUDAExecutionProvider`),up.forEach(o),nc=p($e,", this can significantly speedup inference depending on the task."),$e.forEach(o),sc=h(_e),An=r(_e,"LI",{});var ka=i(An);ac=p(ka,"model_save_dir ("),Or=r(ka,"CODE",{});var hp=i(Or);rc=p(hp,"Path"),hp.forEach(o),ic=p(ka,`) \u2014 The directory where the model exported to ONNX is saved.
By defaults, if the loaded model is local, the directory where the original model will be used. Otherwise, the
cache directory is used.`),ka.forEach(o),lc=h(_e),jr=r(_e,"LI",{});var fp=i(jr);pc=p(fp,"providers (`List[str]) \u2014 The list of execution providers available to ONNX Runtime."),fp.forEach(o),_e.forEach(o),mc=h(N),Ut=r(N,"DIV",{class:!0});var ba=i(Ut);b(Sn.$$.fragment,ba),dc=h(ba),qr=r(ba,"P",{});var gp=i(qr);cc=p(gp,"Instantiate a pretrained model from a pre-trained model configuration."),gp.forEach(o),ba.forEach(o),uc=h(N),Xt=r(N,"DIV",{class:!0});var Ta=i(Xt);b(Nn.$$.fragment,Ta),hc=h(Ta),Pn=r(Ta,"P",{});var xa=i(Pn);fc=p(xa,"Loads an ONNX Inference session with a given provider. Default provider is "),Er=r(xa,"CODE",{});var _p=i(Er);gc=p(_p,"CPUExecutionProvider"),_p.forEach(o),_c=p(xa,` to match the
default behaviour in PyTorch/TensorFlow/JAX.`),xa.forEach(o),Ta.forEach(o),$c=h(N),Wt=r(N,"DIV",{class:!0});var ya=i(Wt);b(zn.$$.fragment,ya),vc=h(ya),Rr=r(ya,"P",{});var $p=i(Rr);wc=p($p,"Raises an error if IO Binding is requested although the tensor used are numpy arrays."),$p.forEach(o),ya.forEach(o),kc=h(N),Ht=r(N,"DIV",{class:!0});var gm=i(Ht);b(In.$$.fragment,gm),bc=h(gm),Fr=r(gm,"P",{});var ov=i(Fr);Tc=p(ov,"Initializes attributes that may be shared among several ONNX Runtime inference sesssions."),ov.forEach(o),gm.forEach(o),xc=h(N),Bt=r(N,"DIV",{class:!0});var _m=i(Bt);b(Dn.$$.fragment,_m),yc=h(_m),Cr=r(_m,"P",{});var nv=i(Cr);Mc=p(nv,"Changes the ONNX Runtime provider according to the device."),nv.forEach(o),_m.forEach(o),N.forEach(o),bp=h(t),et=r(t,"H2",{class:!0});var $m=i(et);Gt=r($m,"A",{id:!0,class:!0,href:!0});var sv=i(Gt);Ar=r(sv,"SPAN",{});var av=i(Ar);b(Ln.$$.fragment,av),av.forEach(o),sv.forEach(o),Oc=h($m),Sr=r($m,"SPAN",{});var rv=i(Sr);jc=p(rv,"Natural Language Processing"),rv.forEach(o),$m.forEach(o),Tp=h(t),Oa=r(t,"P",{});var iv=i(Oa);qc=p(iv,"The following ORT classes are available for the following natural language processing tasks."),iv.forEach(o),xp=h(t),tt=r(t,"H3",{class:!0});var vm=i(tt);Qt=r(vm,"A",{id:!0,class:!0,href:!0});var lv=i(Qt);Nr=r(lv,"SPAN",{});var pv=i(Nr);b(Vn.$$.fragment,pv),pv.forEach(o),lv.forEach(o),Ec=h(vm),Pr=r(vm,"SPAN",{});var mv=i(Pr);Rc=p(mv,"ORTModelForCausalLM"),mv.forEach(o),vm.forEach(o),yp=h(t),ue=r(t,"DIV",{class:!0});var $n=i(ue);b(Un.$$.fragment,$n),Fc=h($n),zr=r($n,"P",{});var dv=i(zr);Cc=p(dv,"ONNX model with a causal language modeling head for ONNX Runtime inference."),dv.forEach(o),Ac=h($n),Jt=r($n,"DIV",{class:!0});var wm=i(Jt);b(Xn.$$.fragment,wm),Sc=h(wm),Wn=r(wm,"P",{});var km=i(Wn);Nc=p(km,"Returns True to validate the check that the model using "),Ir=r(km,"CODE",{});var cv=i(Ir);Pc=p(cv,"GenerationMixin.generate()"),cv.forEach(o),zc=p(km," can indeed generate."),km.forEach(o),wm.forEach(o),Ic=h($n),Z=r($n,"DIV",{class:!0});var je=i(Z);b(Hn.$$.fragment,je),Dc=h(je),ot=r(je,"P",{});var Wa=i(ot);Lc=p(Wa,"The "),Dr=r(Wa,"CODE",{});var uv=i(Dr);Vc=p(uv,"ORTModelForCausalLM"),uv.forEach(o),Uc=p(Wa," forward method, overrides the "),Lr=r(Wa,"CODE",{});var hv=i(Lr);Xc=p(hv,"__call__"),hv.forEach(o),Wc=p(Wa," special method."),Wa.forEach(o),Hc=h(je),b(Kt.$$.fragment,je),Bc=h(je),b(Yt.$$.fragment,je),Gc=h(je),b(Zt.$$.fragment,je),je.forEach(o),$n.forEach(o),Mp=h(t),nt=r(t,"H3",{class:!0});var bm=i(nt);eo=r(bm,"A",{id:!0,class:!0,href:!0});var fv=i(eo);Vr=r(fv,"SPAN",{});var gv=i(Vr);b(Bn.$$.fragment,gv),gv.forEach(o),fv.forEach(o),Qc=h(bm),Ur=r(bm,"SPAN",{});var _v=i(Ur);Jc=p(_v,"ORTModelForMaskedLM"),_v.forEach(o),bm.forEach(o),Op=h(t),D=r(t,"DIV",{class:!0});var qe=i(D);b(Gn.$$.fragment,qe),Kc=h(qe),Xr=r(qe,"P",{});var $v=i(Xr);Yc=p($v,"Onnx Model with a MaskedLMOutput for masked language modeling tasks."),$v.forEach(o),Zc=h(qe),Qn=r(qe,"P",{});var Tm=i(Qn);eu=p(Tm,"This model inherits from "),ja=r(Tm,"A",{href:!0});var vv=i(ja);tu=p(vv,"ORTModel"),vv.forEach(o),ou=p(Tm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Tm.forEach(o),nu=h(qe),Wr=r(qe,"P",{});var wv=i(Wr);su=p(wv,"Masked language model for ONNX."),wv.forEach(o),au=h(qe),ee=r(qe,"DIV",{class:!0});var Ee=i(ee);b(Jn.$$.fragment,Ee),ru=h(Ee),st=r(Ee,"P",{});var Ha=i(st);iu=p(Ha,"The "),Hr=r(Ha,"CODE",{});var kv=i(Hr);lu=p(kv,"ORTModelForMaskedLM"),kv.forEach(o),pu=p(Ha," forward method, overrides the "),Br=r(Ha,"CODE",{});var bv=i(Br);mu=p(bv,"__call__"),bv.forEach(o),du=p(Ha," special method."),Ha.forEach(o),cu=h(Ee),b(to.$$.fragment,Ee),uu=h(Ee),b(oo.$$.fragment,Ee),hu=h(Ee),b(no.$$.fragment,Ee),Ee.forEach(o),qe.forEach(o),jp=h(t),at=r(t,"H3",{class:!0});var xm=i(at);so=r(xm,"A",{id:!0,class:!0,href:!0});var Tv=i(so);Gr=r(Tv,"SPAN",{});var xv=i(Gr);b(Kn.$$.fragment,xv),xv.forEach(o),Tv.forEach(o),fu=h(xm),Qr=r(xm,"SPAN",{});var yv=i(Qr);gu=p(yv,"ORTModelForSeq2SeqLM"),yv.forEach(o),xm.forEach(o),qp=h(t),he=r(t,"DIV",{class:!0});var vn=i(he);b(Yn.$$.fragment,vn),_u=h(vn),Jr=r(vn,"P",{});var Mv=i(Jr);$u=p(Mv,"Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),Mv.forEach(o),vu=h(vn),ao=r(vn,"DIV",{class:!0});var ym=i(ao);b(Zn.$$.fragment,ym),wu=h(ym),es=r(ym,"P",{});var Mm=i(es);ku=p(Mm,"Returns True to validate the check that the model using "),Kr=r(Mm,"CODE",{});var Ov=i(Kr);bu=p(Ov,"GenerationMixin.generate()"),Ov.forEach(o),Tu=p(Mm," can indeed generate."),Mm.forEach(o),ym.forEach(o),xu=h(vn),te=r(vn,"DIV",{class:!0});var Re=i(te);b(ts.$$.fragment,Re),yu=h(Re),rt=r(Re,"P",{});var Ba=i(rt);Mu=p(Ba,"The "),Yr=r(Ba,"CODE",{});var jv=i(Yr);Ou=p(jv,"ORTModelForSeq2SeqLM"),jv.forEach(o),ju=p(Ba," forward method, overrides the "),Zr=r(Ba,"CODE",{});var qv=i(Zr);qu=p(qv,"__call__"),qv.forEach(o),Eu=p(Ba," special method."),Ba.forEach(o),Ru=h(Re),b(ro.$$.fragment,Re),Fu=h(Re),b(io.$$.fragment,Re),Cu=h(Re),b(lo.$$.fragment,Re),Re.forEach(o),vn.forEach(o),Ep=h(t),it=r(t,"H3",{class:!0});var Om=i(it);po=r(Om,"A",{id:!0,class:!0,href:!0});var Ev=i(po);ei=r(Ev,"SPAN",{});var Rv=i(ei);b(os.$$.fragment,Rv),Rv.forEach(o),Ev.forEach(o),Au=h(Om),ti=r(Om,"SPAN",{});var Fv=i(ti);Su=p(Fv,"ORTModelForSequenceClassification"),Fv.forEach(o),Om.forEach(o),Rp=h(t),L=r(t,"DIV",{class:!0});var Fe=i(L);b(ns.$$.fragment,Fe),Nu=h(Fe),oi=r(Fe,"P",{});var Cv=i(oi);Pu=p(Cv,`Onnx Model with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Cv.forEach(o),zu=h(Fe),ss=r(Fe,"P",{});var jm=i(ss);Iu=p(jm,"This model inherits from "),qa=r(jm,"A",{href:!0});var Av=i(qa);Du=p(Av,"ORTModel"),Av.forEach(o),Lu=p(jm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),jm.forEach(o),Vu=h(Fe),ni=r(Fe,"P",{});var Sv=i(ni);Uu=p(Sv,"Sequence Classification model for ONNX."),Sv.forEach(o),Xu=h(Fe),I=r(Fe,"DIV",{class:!0});var Te=i(I);b(as.$$.fragment,Te),Wu=h(Te),lt=r(Te,"P",{});var Ga=i(lt);Hu=p(Ga,"The "),si=r(Ga,"CODE",{});var Nv=i(si);Bu=p(Nv,"ORTModelForSequenceClassification"),Nv.forEach(o),Gu=p(Ga," forward method, overrides the "),ai=r(Ga,"CODE",{});var Pv=i(ai);Qu=p(Pv,"__call__"),Pv.forEach(o),Ju=p(Ga," special method."),Ga.forEach(o),Ku=h(Te),b(mo.$$.fragment,Te),Yu=h(Te),b(co.$$.fragment,Te),Zu=h(Te),b(uo.$$.fragment,Te),eh=h(Te),b(ho.$$.fragment,Te),Te.forEach(o),Fe.forEach(o),Fp=h(t),pt=r(t,"H3",{class:!0});var qm=i(pt);fo=r(qm,"A",{id:!0,class:!0,href:!0});var zv=i(fo);ri=r(zv,"SPAN",{});var Iv=i(ri);b(rs.$$.fragment,Iv),Iv.forEach(o),zv.forEach(o),th=h(qm),ii=r(qm,"SPAN",{});var Dv=i(ii);oh=p(Dv,"ORTModelForTokenClassification"),Dv.forEach(o),qm.forEach(o),Cp=h(t),V=r(t,"DIV",{class:!0});var Ce=i(V);b(is.$$.fragment,Ce),nh=h(Ce),li=r(Ce,"P",{});var Lv=i(li);sh=p(Lv,`Onnx Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Lv.forEach(o),ah=h(Ce),ls=r(Ce,"P",{});var Em=i(ls);rh=p(Em,"This model inherits from "),Ea=r(Em,"A",{href:!0});var Vv=i(Ea);ih=p(Vv,"ORTModel"),Vv.forEach(o),lh=p(Em,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Em.forEach(o),ph=h(Ce),pi=r(Ce,"P",{});var Uv=i(pi);mh=p(Uv,"Token Classification model for ONNX."),Uv.forEach(o),dh=h(Ce),oe=r(Ce,"DIV",{class:!0});var Ae=i(oe);b(ps.$$.fragment,Ae),ch=h(Ae),mt=r(Ae,"P",{});var Qa=i(mt);uh=p(Qa,"The "),mi=r(Qa,"CODE",{});var Xv=i(mi);hh=p(Xv,"ORTModelForTokenClassification"),Xv.forEach(o),fh=p(Qa," forward method, overrides the "),di=r(Qa,"CODE",{});var Wv=i(di);gh=p(Wv,"__call__"),Wv.forEach(o),_h=p(Qa," special method."),Qa.forEach(o),$h=h(Ae),b(go.$$.fragment,Ae),vh=h(Ae),b(_o.$$.fragment,Ae),wh=h(Ae),b($o.$$.fragment,Ae),Ae.forEach(o),Ce.forEach(o),Ap=h(t),dt=r(t,"H3",{class:!0});var Rm=i(dt);vo=r(Rm,"A",{id:!0,class:!0,href:!0});var Hv=i(vo);ci=r(Hv,"SPAN",{});var Bv=i(ci);b(ms.$$.fragment,Bv),Bv.forEach(o),Hv.forEach(o),kh=h(Rm),ui=r(Rm,"SPAN",{});var Gv=i(ui);bh=p(Gv,"ORTModelForMultipleChoice"),Gv.forEach(o),Rm.forEach(o),Sp=h(t),U=r(t,"DIV",{class:!0});var Se=i(U);b(ds.$$.fragment,Se),Th=h(Se),hi=r(Se,"P",{});var Qv=i(hi);xh=p(Qv,`Onnx Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Qv.forEach(o),yh=h(Se),cs=r(Se,"P",{});var Fm=i(cs);Mh=p(Fm,"This model inherits from "),Ra=r(Fm,"A",{href:!0});var Jv=i(Ra);Oh=p(Jv,"ORTModel"),Jv.forEach(o),jh=p(Fm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Fm.forEach(o),qh=h(Se),fi=r(Se,"P",{});var Kv=i(fi);Eh=p(Kv,"Multiple choice model for ONNX."),Kv.forEach(o),Rh=h(Se),ve=r(Se,"DIV",{class:!0});var wn=i(ve);b(us.$$.fragment,wn),Fh=h(wn),ct=r(wn,"P",{});var Ja=i(ct);Ch=p(Ja,"The "),gi=r(Ja,"CODE",{});var Yv=i(gi);Ah=p(Yv,"ORTModelForMultipleChoice"),Yv.forEach(o),Sh=p(Ja," forward method, overrides the "),_i=r(Ja,"CODE",{});var Zv=i(_i);Nh=p(Zv,"__call__"),Zv.forEach(o),Ph=p(Ja," special method."),Ja.forEach(o),zh=h(wn),b(wo.$$.fragment,wn),Ih=h(wn),b(ko.$$.fragment,wn),wn.forEach(o),Se.forEach(o),Np=h(t),ut=r(t,"H2",{class:!0});var Cm=i(ut);bo=r(Cm,"A",{id:!0,class:!0,href:!0});var ew=i(bo);$i=r(ew,"SPAN",{});var tw=i($i);b(hs.$$.fragment,tw),tw.forEach(o),ew.forEach(o),Dh=h(Cm),vi=r(Cm,"SPAN",{});var ow=i(vi);Lh=p(ow,"Computer vision"),ow.forEach(o),Cm.forEach(o),Pp=h(t),Fa=r(t,"P",{});var nw=i(Fa);Vh=p(nw,"The following ORT classes are available for the following computer vision tasks."),nw.forEach(o),zp=h(t),ht=r(t,"H3",{class:!0});var Am=i(ht);To=r(Am,"A",{id:!0,class:!0,href:!0});var sw=i(To);wi=r(sw,"SPAN",{});var aw=i(wi);b(fs.$$.fragment,aw),aw.forEach(o),sw.forEach(o),Uh=h(Am),ki=r(Am,"SPAN",{});var rw=i(ki);Xh=p(rw,"ORTModelForQuestionAnswering"),rw.forEach(o),Am.forEach(o),Ip=h(t),X=r(t,"DIV",{class:!0});var Ne=i(X);b(gs.$$.fragment,Ne),Wh=h(Ne),bi=r(Ne,"P",{});var iw=i(bi);Hh=p(iw,"Onnx Model with a QuestionAnsweringModelOutput for extractive question-answering tasks like SQuAD."),iw.forEach(o),Bh=h(Ne),_s=r(Ne,"P",{});var Sm=i(_s);Gh=p(Sm,"This model inherits from "),Ca=r(Sm,"A",{href:!0});var lw=i(Ca);Qh=p(lw,"ORTModel"),lw.forEach(o),Jh=p(Sm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Sm.forEach(o),Kh=h(Ne),Ti=r(Ne,"P",{});var pw=i(Ti);Yh=p(pw,"Question Answering model for ONNX."),pw.forEach(o),Zh=h(Ne),ne=r(Ne,"DIV",{class:!0});var Pe=i(ne);b($s.$$.fragment,Pe),ef=h(Pe),ft=r(Pe,"P",{});var Ka=i(ft);tf=p(Ka,"The "),xi=r(Ka,"CODE",{});var mw=i(xi);of=p(mw,"ORTModelForQuestionAnswering"),mw.forEach(o),nf=p(Ka," forward method, overrides the "),yi=r(Ka,"CODE",{});var dw=i(yi);sf=p(dw,"__call__"),dw.forEach(o),af=p(Ka," special method."),Ka.forEach(o),rf=h(Pe),b(xo.$$.fragment,Pe),lf=h(Pe),b(yo.$$.fragment,Pe),pf=h(Pe),b(Mo.$$.fragment,Pe),Pe.forEach(o),Ne.forEach(o),Dp=h(t),gt=r(t,"H3",{class:!0});var Nm=i(gt);Oo=r(Nm,"A",{id:!0,class:!0,href:!0});var cw=i(Oo);Mi=r(cw,"SPAN",{});var uw=i(Mi);b(vs.$$.fragment,uw),uw.forEach(o),cw.forEach(o),mf=h(Nm),Oi=r(Nm,"SPAN",{});var hw=i(Oi);df=p(hw,"ORTModelForImageClassification"),hw.forEach(o),Nm.forEach(o),Lp=h(t),W=r(t,"DIV",{class:!0});var ze=i(W);b(ws.$$.fragment,ze),cf=h(ze),ji=r(ze,"P",{});var fw=i(ji);uf=p(fw,"Onnx Model for image-classification tasks."),fw.forEach(o),hf=h(ze),ks=r(ze,"P",{});var Pm=i(ks);ff=p(Pm,"This model inherits from "),Aa=r(Pm,"A",{href:!0});var gw=i(Aa);gf=p(gw,"ORTModel"),gw.forEach(o),_f=p(Pm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Pm.forEach(o),$f=h(ze),qi=r(ze,"P",{});var _w=i(qi);vf=p(_w,"Image Classification model for ONNX."),_w.forEach(o),wf=h(ze),se=r(ze,"DIV",{class:!0});var Ie=i(se);b(bs.$$.fragment,Ie),kf=h(Ie),_t=r(Ie,"P",{});var Ya=i(_t);bf=p(Ya,"The "),Ei=r(Ya,"CODE",{});var $w=i(Ei);Tf=p($w,"ORTModelForImageClassification"),$w.forEach(o),xf=p(Ya," forward method, overrides the "),Ri=r(Ya,"CODE",{});var vw=i(Ri);yf=p(vw,"__call__"),vw.forEach(o),Mf=p(Ya," special method."),Ya.forEach(o),Of=h(Ie),b(jo.$$.fragment,Ie),jf=h(Ie),b(qo.$$.fragment,Ie),qf=h(Ie),b(Eo.$$.fragment,Ie),Ie.forEach(o),ze.forEach(o),Vp=h(t),$t=r(t,"H3",{class:!0});var zm=i($t);Ro=r(zm,"A",{id:!0,class:!0,href:!0});var ww=i(Ro);Fi=r(ww,"SPAN",{});var kw=i(Fi);b(Ts.$$.fragment,kw),kw.forEach(o),ww.forEach(o),Ef=h(zm),Ci=r(zm,"SPAN",{});var bw=i(Ci);Rf=p(bw,"ORTModelForSemanticSegmentation"),bw.forEach(o),zm.forEach(o),Up=h(t),H=r(t,"DIV",{class:!0});var De=i(H);b(xs.$$.fragment,De),Ff=h(De),Ai=r(De,"P",{});var Tw=i(Ai);Cf=p(Tw,"Onnx Model with an all-MLP decode head on top e.g. for ADE20k, CityScapes."),Tw.forEach(o),Af=h(De),ys=r(De,"P",{});var Im=i(ys);Sf=p(Im,"This model inherits from "),Sa=r(Im,"A",{href:!0});var xw=i(Sa);Nf=p(xw,"ORTModel"),xw.forEach(o),Pf=p(Im,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Im.forEach(o),zf=h(De),Si=r(De,"P",{});var yw=i(Si);If=p(yw,"Semantic Segmentation model for ONNX."),yw.forEach(o),Df=h(De),ae=r(De,"DIV",{class:!0});var Le=i(ae);b(Ms.$$.fragment,Le),Lf=h(Le),vt=r(Le,"P",{});var Za=i(vt);Vf=p(Za,"The "),Ni=r(Za,"CODE",{});var Mw=i(Ni);Uf=p(Mw,"ORTModelForSemanticSegmentation"),Mw.forEach(o),Xf=p(Za," forward method, overrides the "),Pi=r(Za,"CODE",{});var Ow=i(Pi);Wf=p(Ow,"__call__"),Ow.forEach(o),Hf=p(Za," special method."),Za.forEach(o),Bf=h(Le),b(Fo.$$.fragment,Le),Gf=h(Le),b(Co.$$.fragment,Le),Qf=h(Le),b(Ao.$$.fragment,Le),Le.forEach(o),De.forEach(o),Xp=h(t),wt=r(t,"H2",{class:!0});var Dm=i(wt);So=r(Dm,"A",{id:!0,class:!0,href:!0});var jw=i(So);zi=r(jw,"SPAN",{});var qw=i(zi);b(Os.$$.fragment,qw),qw.forEach(o),jw.forEach(o),Jf=h(Dm),Ii=r(Dm,"SPAN",{});var Ew=i(Ii);Kf=p(Ew,"Audio"),Ew.forEach(o),Dm.forEach(o),Wp=h(t),Na=r(t,"P",{});var Rw=i(Na);Yf=p(Rw,"The following ORT classes are available for the following audio tasks."),Rw.forEach(o),Hp=h(t),kt=r(t,"H3",{class:!0});var Lm=i(kt);No=r(Lm,"A",{id:!0,class:!0,href:!0});var Fw=i(No);Di=r(Fw,"SPAN",{});var Cw=i(Di);b(js.$$.fragment,Cw),Cw.forEach(o),Fw.forEach(o),Zf=h(Lm),Li=r(Lm,"SPAN",{});var Aw=i(Li);eg=p(Aw,"ORTModelForAudioClassification"),Aw.forEach(o),Lm.forEach(o),Bp=h(t),B=r(t,"DIV",{class:!0});var Ve=i(B);b(qs.$$.fragment,Ve),tg=h(Ve),Vi=r(Ve,"P",{});var Sw=i(Vi);og=p(Sw,`Onnx Model with a sequence classification head on top (a linear layer over the pooled output) for tasks like
SUPERB Keyword Spotting.`),Sw.forEach(o),ng=h(Ve),Es=r(Ve,"P",{});var Vm=i(Es);sg=p(Vm,"This model inherits from "),Pa=r(Vm,"A",{href:!0});var Nw=i(Pa);ag=p(Nw,"ORTModel"),Nw.forEach(o),rg=p(Vm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Vm.forEach(o),ig=h(Ve),Ui=r(Ve,"P",{});var Pw=i(Ui);lg=p(Pw,"Audio Classification model for ONNX."),Pw.forEach(o),pg=h(Ve),re=r(Ve,"DIV",{class:!0});var Ue=i(re);b(Rs.$$.fragment,Ue),mg=h(Ue),bt=r(Ue,"P",{});var er=i(bt);dg=p(er,"The "),Xi=r(er,"CODE",{});var zw=i(Xi);cg=p(zw,"ORTModelForAudioClassification"),zw.forEach(o),ug=p(er," forward method, overrides the "),Wi=r(er,"CODE",{});var Iw=i(Wi);hg=p(Iw,"__call__"),Iw.forEach(o),fg=p(er," special method."),er.forEach(o),gg=h(Ue),b(Po.$$.fragment,Ue),_g=h(Ue),b(zo.$$.fragment,Ue),$g=h(Ue),b(Io.$$.fragment,Ue),Ue.forEach(o),Ve.forEach(o),Gp=h(t),Tt=r(t,"H3",{class:!0});var Um=i(Tt);Do=r(Um,"A",{id:!0,class:!0,href:!0});var Dw=i(Do);Hi=r(Dw,"SPAN",{});var Lw=i(Hi);b(Fs.$$.fragment,Lw),Lw.forEach(o),Dw.forEach(o),vg=h(Um),Bi=r(Um,"SPAN",{});var Vw=i(Bi);wg=p(Vw,"ORTModelForAudioFrameClassification"),Vw.forEach(o),Um.forEach(o),Qp=h(t),G=r(t,"DIV",{class:!0});var Xe=i(G);b(Cs.$$.fragment,Xe),kg=h(Xe),Gi=r(Xe,"P",{});var Uw=i(Gi);bg=p(Uw,"Onnx Model for with a frame classification head on top for tasks like Speaker Diarization."),Uw.forEach(o),Tg=h(Xe),As=r(Xe,"P",{});var Xm=i(As);xg=p(Xm,"This model inherits from "),za=r(Xm,"A",{href:!0});var Xw=i(za);yg=p(Xw,"ORTModel"),Xw.forEach(o),Mg=p(Xm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Xm.forEach(o),Og=h(Xe),Qi=r(Xe,"P",{});var Ww=i(Qi);jg=p(Ww,"Audio Frame Classification model for ONNX."),Ww.forEach(o),qg=h(Xe),we=r(Xe,"DIV",{class:!0});var kn=i(we);b(Ss.$$.fragment,kn),Eg=h(kn),xt=r(kn,"P",{});var tr=i(xt);Rg=p(tr,"The "),Ji=r(tr,"CODE",{});var Hw=i(Ji);Fg=p(Hw,"ORTModelForAudioFrameClassification"),Hw.forEach(o),Cg=p(tr," forward method, overrides the "),Ki=r(tr,"CODE",{});var Bw=i(Ki);Ag=p(Bw,"__call__"),Bw.forEach(o),Sg=p(tr," special method."),tr.forEach(o),Ng=h(kn),b(Lo.$$.fragment,kn),Pg=h(kn),b(Vo.$$.fragment,kn),kn.forEach(o),Xe.forEach(o),Jp=h(t),yt=r(t,"H3",{class:!0});var Wm=i(yt);Uo=r(Wm,"A",{id:!0,class:!0,href:!0});var Gw=i(Uo);Yi=r(Gw,"SPAN",{});var Qw=i(Yi);b(Ns.$$.fragment,Qw),Qw.forEach(o),Gw.forEach(o),zg=h(Wm),Zi=r(Wm,"SPAN",{});var Jw=i(Zi);Ig=p(Jw,"ORTModelForCTC"),Jw.forEach(o),Wm.forEach(o),Kp=h(t),Q=r(t,"DIV",{class:!0});var We=i(Q);b(Ps.$$.fragment,We),Dg=h(We),el=r(We,"P",{});var Kw=i(el);Lg=p(Kw,"Onnx Model with a language modeling head on top for Connectionist Temporal Classification (CTC)."),Kw.forEach(o),Vg=h(We),zs=r(We,"P",{});var Hm=i(zs);Ug=p(Hm,"This model inherits from "),Ia=r(Hm,"A",{href:!0});var Yw=i(Ia);Xg=p(Yw,"ORTModel"),Yw.forEach(o),Wg=p(Hm,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Hm.forEach(o),Hg=h(We),tl=r(We,"P",{});var Zw=i(tl);Bg=p(Zw,"CTC model for ONNX."),Zw.forEach(o),Gg=h(We),ke=r(We,"DIV",{class:!0});var bn=i(ke);b(Is.$$.fragment,bn),Qg=h(bn),Mt=r(bn,"P",{});var or=i(Mt);Jg=p(or,"The "),ol=r(or,"CODE",{});var ek=i(ol);Kg=p(ek,"ORTModelForCTC"),ek.forEach(o),Yg=p(or," forward method, overrides the "),nl=r(or,"CODE",{});var tk=i(nl);Zg=p(tk,"__call__"),tk.forEach(o),e_=p(or," special method."),or.forEach(o),t_=h(bn),b(Xo.$$.fragment,bn),o_=h(bn),b(Wo.$$.fragment,bn),bn.forEach(o),We.forEach(o),Yp=h(t),Ot=r(t,"H3",{class:!0});var Bm=i(Ot);Ho=r(Bm,"A",{id:!0,class:!0,href:!0});var ok=i(Ho);sl=r(ok,"SPAN",{});var nk=i(sl);b(Ds.$$.fragment,nk),nk.forEach(o),ok.forEach(o),n_=h(Bm),al=r(Bm,"SPAN",{});var sk=i(al);s_=p(sk,"ORTModelForSpeechSeq2Seq"),sk.forEach(o),Bm.forEach(o),Zp=h(t),fe=r(t,"DIV",{class:!0});var Tn=i(fe);b(Ls.$$.fragment,Tn),a_=h(Tn),rl=r(Tn,"P",{});var ak=i(rl);r_=p(ak,"Speech Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),ak.forEach(o),i_=h(Tn),Bo=r(Tn,"DIV",{class:!0});var Gm=i(Bo);b(Vs.$$.fragment,Gm),l_=h(Gm),Us=r(Gm,"P",{});var Qm=i(Us);p_=p(Qm,"Returns True to validate the check that the model using "),il=r(Qm,"CODE",{});var rk=i(il);m_=p(rk,"GenerationMixin.generate()"),rk.forEach(o),d_=p(Qm," can indeed generate."),Qm.forEach(o),Gm.forEach(o),c_=h(Tn),ie=r(Tn,"DIV",{class:!0});var He=i(ie);b(Xs.$$.fragment,He),u_=h(He),jt=r(He,"P",{});var nr=i(jt);h_=p(nr,"The "),ll=r(nr,"CODE",{});var ik=i(ll);f_=p(ik,"ORTModelForSpeechSeq2Seq"),ik.forEach(o),g_=p(nr," forward method, overrides the "),pl=r(nr,"CODE",{});var lk=i(pl);__=p(lk,"__call__"),lk.forEach(o),$_=p(nr," special method."),nr.forEach(o),v_=h(He),b(Go.$$.fragment,He),w_=h(He),b(Qo.$$.fragment,He),k_=h(He),b(Jo.$$.fragment,He),He.forEach(o),Tn.forEach(o),em=h(t),qt=r(t,"H3",{class:!0});var Jm=i(qt);Ko=r(Jm,"A",{id:!0,class:!0,href:!0});var pk=i(Ko);ml=r(pk,"SPAN",{});var mk=i(ml);b(Ws.$$.fragment,mk),mk.forEach(o),pk.forEach(o),b_=h(Jm),dl=r(Jm,"SPAN",{});var dk=i(dl);T_=p(dk,"ORTModelForAudioXVector"),dk.forEach(o),Jm.forEach(o),tm=h(t),J=r(t,"DIV",{class:!0});var Be=i(J);b(Hs.$$.fragment,Be),x_=h(Be),cl=r(Be,"P",{});var ck=i(cl);y_=p(ck,"Onnx Model with an XVector feature extraction head on top for tasks like Speaker Verification."),ck.forEach(o),M_=h(Be),Bs=r(Be,"P",{});var Km=i(Bs);O_=p(Km,"This model inherits from "),Da=r(Km,"A",{href:!0});var uk=i(Da);j_=p(uk,"ORTModel"),uk.forEach(o),q_=p(Km,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),Km.forEach(o),E_=h(Be),ul=r(Be,"P",{});var hk=i(ul);R_=p(hk,"Audio XVector model for ONNX."),hk.forEach(o),F_=h(Be),be=r(Be,"DIV",{class:!0});var xn=i(be);b(Gs.$$.fragment,xn),C_=h(xn),Et=r(xn,"P",{});var sr=i(Et);A_=p(sr,"The "),hl=r(sr,"CODE",{});var fk=i(hl);S_=p(fk,"ORTModelForAudioXVector"),fk.forEach(o),N_=p(sr," forward method, overrides the "),fl=r(sr,"CODE",{});var gk=i(fl);P_=p(gk,"__call__"),gk.forEach(o),z_=p(sr," special method."),sr.forEach(o),I_=h(xn),b(Yo.$$.fragment,xn),D_=h(xn),b(Zo.$$.fragment,xn),xn.forEach(o),Be.forEach(o),om=h(t),Rt=r(t,"H2",{class:!0});var Ym=i(Rt);en=r(Ym,"A",{id:!0,class:!0,href:!0});var _k=i(en);gl=r(_k,"SPAN",{});var $k=i(gl);b(Qs.$$.fragment,$k),$k.forEach(o),_k.forEach(o),L_=h(Ym),_l=r(Ym,"SPAN",{});var vk=i(_l);V_=p(vk,"Multimodal"),vk.forEach(o),Ym.forEach(o),nm=h(t),La=r(t,"P",{});var wk=i(La);U_=p(wk,"The following ORT classes are available for the following multimodal tasks."),wk.forEach(o),sm=h(t),Ft=r(t,"H3",{class:!0});var Zm=i(Ft);tn=r(Zm,"A",{id:!0,class:!0,href:!0});var kk=i(tn);$l=r(kk,"SPAN",{});var bk=i($l);b(Js.$$.fragment,bk),bk.forEach(o),kk.forEach(o),X_=h(Zm),vl=r(Zm,"SPAN",{});var Tk=i(vl);W_=p(Tk,"ORTModelForVision2Seq"),Tk.forEach(o),Zm.forEach(o),am=h(t),ge=r(t,"DIV",{class:!0});var yn=i(ge);b(Ks.$$.fragment,yn),H_=h(yn),wl=r(yn,"P",{});var xk=i(wl);B_=p(xk,"VisionEncoderDecoder Sequence-to-sequence model with a language modeling head for ONNX Runtime inference."),xk.forEach(o),G_=h(yn),on=r(yn,"DIV",{class:!0});var ed=i(on);b(Ys.$$.fragment,ed),Q_=h(ed),Zs=r(ed,"P",{});var td=i(Zs);J_=p(td,"Returns True to validate the check that the model using "),kl=r(td,"CODE",{});var yk=i(kl);K_=p(yk,"GenerationMixin.generate()"),yk.forEach(o),Y_=p(td," can indeed generate."),td.forEach(o),ed.forEach(o),Z_=h(yn),le=r(yn,"DIV",{class:!0});var Ge=i(le);b(ea.$$.fragment,Ge),e$=h(Ge),Ct=r(Ge,"P",{});var ar=i(Ct);t$=p(ar,"The "),bl=r(ar,"CODE",{});var Mk=i(bl);o$=p(Mk,"ORTModelForVision2Seq"),Mk.forEach(o),n$=p(ar," forward method, overrides the "),Tl=r(ar,"CODE",{});var Ok=i(Tl);s$=p(Ok,"__call__"),Ok.forEach(o),a$=p(ar," special method."),ar.forEach(o),r$=h(Ge),b(nn.$$.fragment,Ge),i$=h(Ge),b(sn.$$.fragment,Ge),l$=h(Ge),b(an.$$.fragment,Ge),Ge.forEach(o),yn.forEach(o),rm=h(t),At=r(t,"H2",{class:!0});var od=i(At);rn=r(od,"A",{id:!0,class:!0,href:!0});var jk=i(rn);xl=r(jk,"SPAN",{});var qk=i(xl);b(ta.$$.fragment,qk),qk.forEach(o),jk.forEach(o),p$=h(od),yl=r(od,"SPAN",{});var Ek=i(yl);m$=p(Ek,"Custom Tasks"),Ek.forEach(o),od.forEach(o),im=h(t),Va=r(t,"P",{});var Rk=i(Va);d$=p(Rk,"The following ORT classes are available for the following custom tasks."),Rk.forEach(o),lm=h(t),St=r(t,"H4",{class:!0});var nd=i(St);ln=r(nd,"A",{id:!0,class:!0,href:!0});var Fk=i(ln);Ml=r(Fk,"SPAN",{});var Ck=i(Ml);b(oa.$$.fragment,Ck),Ck.forEach(o),Fk.forEach(o),c$=h(nd),Ol=r(nd,"SPAN",{});var Ak=i(Ol);u$=p(Ak,"ORTModelForCustomTasks"),Ak.forEach(o),nd.forEach(o),pm=h(t),K=r(t,"DIV",{class:!0});var Qe=i(K);b(na.$$.fragment,Qe),h$=h(Qe),jl=r(Qe,"P",{});var Sk=i(jl);f$=p(Sk,"ONNX Model for any custom tasks. It can be used to leverage the inference acceleration for any single-file ONNX model."),Sk.forEach(o),g$=h(Qe),sa=r(Qe,"P",{});var sd=i(sa);_$=p(sd,"This model inherits from "),Ua=r(sd,"A",{href:!0});var Nk=i(Ua);$$=p(Nk,"ORTModel"),Nk.forEach(o),v$=p(sd,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),sd.forEach(o),w$=h(Qe),ql=r(Qe,"P",{});var Pk=i(ql);k$=p(Pk,"Model for any custom tasks if the ONNX model is stored in a single file."),Pk.forEach(o),b$=h(Qe),pe=r(Qe,"DIV",{class:!0});var Je=i(pe);b(aa.$$.fragment,Je),T$=h(Je),Nt=r(Je,"P",{});var rr=i(Nt);x$=p(rr,"The "),El=r(rr,"CODE",{});var zk=i(El);y$=p(zk,"ORTModelForCustomTasks"),zk.forEach(o),M$=p(rr," forward method, overrides the "),Rl=r(rr,"CODE",{});var Ik=i(Rl);O$=p(Ik,"__call__"),Ik.forEach(o),j$=p(rr," special method."),rr.forEach(o),q$=h(Je),b(pn.$$.fragment,Je),E$=h(Je),b(mn.$$.fragment,Je),R$=h(Je),b(dn.$$.fragment,Je),Je.forEach(o),Qe.forEach(o),mm=h(t),Pt=r(t,"H4",{class:!0});var ad=i(Pt);cn=r(ad,"A",{id:!0,class:!0,href:!0});var Dk=i(cn);Fl=r(Dk,"SPAN",{});var Lk=i(Fl);b(ra.$$.fragment,Lk),Lk.forEach(o),Dk.forEach(o),F$=h(ad),Cl=r(ad,"SPAN",{});var Vk=i(Cl);C$=p(Vk,"ORTModelForFeatureExtraction"),Vk.forEach(o),ad.forEach(o),dm=h(t),Y=r(t,"DIV",{class:!0});var Ke=i(Y);b(ia.$$.fragment,Ke),A$=h(Ke),Al=r(Ke,"P",{});var Uk=i(Al);S$=p(Uk,"Onnx Model with a BaseModelOutput for feature-extraction tasks."),Uk.forEach(o),N$=h(Ke),la=r(Ke,"P",{});var rd=i(la);P$=p(rd,"This model inherits from "),Xa=r(rd,"A",{href:!0});var Xk=i(Xa);z$=p(Xk,"ORTModel"),Xk.forEach(o),I$=p(rd,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving)`),rd.forEach(o),D$=h(Ke),Sl=r(Ke,"P",{});var Wk=i(Sl);L$=p(Wk,"Feature Extraction model for ONNX."),Wk.forEach(o),V$=h(Ke),me=r(Ke,"DIV",{class:!0});var Ye=i(me);b(pa.$$.fragment,Ye),U$=h(Ye),zt=r(Ye,"P",{});var ir=i(zt);X$=p(ir,"The "),Nl=r(ir,"CODE",{});var Hk=i(Nl);W$=p(Hk,"ORTModelForFeatureExtraction"),Hk.forEach(o),H$=p(ir," forward method, overrides the "),Pl=r(ir,"CODE",{});var Bk=i(Pl);B$=p(Bk,"__call__"),Bk.forEach(o),G$=p(ir," special method."),ir.forEach(o),Q$=h(Ye),b(un.$$.fragment,Ye),J$=h(Ye),b(hn.$$.fragment,Ye),K$=h(Ye),b(fn.$$.fragment,Ye),Ye.forEach(o),Ke.forEach(o),cm=h(t),It=r(t,"H2",{class:!0});var id=i(It);gn=r(id,"A",{id:!0,class:!0,href:!0});var Gk=i(gn);zl=r(Gk,"SPAN",{});var Qk=i(zl);b(ma.$$.fragment,Qk),Qk.forEach(o),Gk.forEach(o),Y$=h(id),Il=r(id,"SPAN",{});var Jk=i(Il);Z$=p(Jk,"Stable Diffusion"),Jk.forEach(o),id.forEach(o),um=h(t),Dt=r(t,"H4",{class:!0});var ld=i(Dt);_n=r(ld,"A",{id:!0,class:!0,href:!0});var Kk=i(_n);Dl=r(Kk,"SPAN",{});var Yk=i(Dl);b(da.$$.fragment,Yk),Yk.forEach(o),Kk.forEach(o),ev=h(ld),Ll=r(ld,"SPAN",{});var Zk=i(Ll);tv=p(Zk,"ORTStableDiffusionPipeline"),Zk.forEach(o),ld.forEach(o),hm=h(t),ca=r(t,"DIV",{class:!0});var eb=i(ca);b(ua.$$.fragment,eb),eb.forEach(o),this.h()},h(){w(s,"name","hf:doc:metadata"),w(s,"content",JSON.stringify(tT)),w(c,"id","models"),w(c,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(c,"href","#models"),w(d,"class","relative group"),w(Lt,"id","generic-model-classes"),w(Lt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Lt,"href","#generic-model-classes"),w(E,"class","relative group"),w(Vt,"id","optimum.onnxruntime.ORTModel"),w(Vt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Vt,"href","#optimum.onnxruntime.ORTModel"),w(Ze,"class","relative group"),w(Cn,"href","https://huggingface.co/docs/transformers/v4.29.0/en/main_classes/configuration#transformers.PretrainedConfig"),w(Cn,"rel","nofollow"),w(Ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Wt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(S,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Gt,"id","natural-language-processing"),w(Gt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Gt,"href","#natural-language-processing"),w(et,"class","relative group"),w(Qt,"id","optimum.onnxruntime.ORTModelForCausalLM"),w(Qt,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Qt,"href","#optimum.onnxruntime.ORTModelForCausalLM"),w(tt,"class","relative group"),w(Jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Z,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(ue,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(eo,"id","optimum.onnxruntime.ORTModelForMaskedLM"),w(eo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(eo,"href","#optimum.onnxruntime.ORTModelForMaskedLM"),w(nt,"class","relative group"),w(ja,"href","/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(ee,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(D,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(so,"id","optimum.onnxruntime.ORTModelForSeq2SeqLM"),w(so,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(so,"href","#optimum.onnxruntime.ORTModelForSeq2SeqLM"),w(at,"class","relative group"),w(ao,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(te,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(he,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(po,"id","optimum.onnxruntime.ORTModelForSequenceClassification"),w(po,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(po,"href","#optimum.onnxruntime.ORTModelForSequenceClassification"),w(it,"class","relative group"),w(qa,"href","/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(I,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(L,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(fo,"id","optimum.onnxruntime.ORTModelForTokenClassification"),w(fo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(fo,"href","#optimum.onnxruntime.ORTModelForTokenClassification"),w(pt,"class","relative group"),w(Ea,"href","/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(oe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(V,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(vo,"id","optimum.onnxruntime.ORTModelForMultipleChoice"),w(vo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(vo,"href","#optimum.onnxruntime.ORTModelForMultipleChoice"),w(dt,"class","relative group"),w(Ra,"href","/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(U,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(bo,"id","computer-vision"),w(bo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(bo,"href","#computer-vision"),w(ut,"class","relative group"),w(To,"id","optimum.onnxruntime.ORTModelForQuestionAnswering"),w(To,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(To,"href","#optimum.onnxruntime.ORTModelForQuestionAnswering"),w(ht,"class","relative group"),w(Ca,"href","/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(ne,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(X,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Oo,"id","optimum.onnxruntime.ORTModelForImageClassification"),w(Oo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Oo,"href","#optimum.onnxruntime.ORTModelForImageClassification"),w(gt,"class","relative group"),w(Aa,"href","/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(se,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(W,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Ro,"id","optimum.onnxruntime.ORTModelForSemanticSegmentation"),w(Ro,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Ro,"href","#optimum.onnxruntime.ORTModelForSemanticSegmentation"),w($t,"class","relative group"),w(Sa,"href","/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(ae,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(So,"id","audio"),w(So,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(So,"href","#audio"),w(wt,"class","relative group"),w(No,"id","optimum.onnxruntime.ORTModelForAudioClassification"),w(No,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(No,"href","#optimum.onnxruntime.ORTModelForAudioClassification"),w(kt,"class","relative group"),w(Pa,"href","/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(re,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(B,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Do,"id","optimum.onnxruntime.ORTModelForAudioFrameClassification"),w(Do,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Do,"href","#optimum.onnxruntime.ORTModelForAudioFrameClassification"),w(Tt,"class","relative group"),w(za,"href","/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(we,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(G,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Uo,"id","optimum.onnxruntime.ORTModelForCTC"),w(Uo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Uo,"href","#optimum.onnxruntime.ORTModelForCTC"),w(yt,"class","relative group"),w(Ia,"href","/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(ke,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Q,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Ho,"id","optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),w(Ho,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Ho,"href","#optimum.onnxruntime.ORTModelForSpeechSeq2Seq"),w(Ot,"class","relative group"),w(Bo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(ie,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(fe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Ko,"id","optimum.onnxruntime.ORTModelForAudioXVector"),w(Ko,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(Ko,"href","#optimum.onnxruntime.ORTModelForAudioXVector"),w(qt,"class","relative group"),w(Da,"href","/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(be,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(J,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(en,"id","multimodal"),w(en,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(en,"href","#multimodal"),w(Rt,"class","relative group"),w(tn,"id","optimum.onnxruntime.ORTModelForVision2Seq"),w(tn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(tn,"href","#optimum.onnxruntime.ORTModelForVision2Seq"),w(Ft,"class","relative group"),w(on,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(le,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(ge,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(rn,"id","custom-tasks"),w(rn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(rn,"href","#custom-tasks"),w(At,"class","relative group"),w(ln,"id","optimum.onnxruntime.ORTModelForCustomTasks"),w(ln,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(ln,"href","#optimum.onnxruntime.ORTModelForCustomTasks"),w(St,"class","relative group"),w(Ua,"href","/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(pe,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(K,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(cn,"id","optimum.onnxruntime.ORTModelForFeatureExtraction"),w(cn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(cn,"href","#optimum.onnxruntime.ORTModelForFeatureExtraction"),w(Pt,"class","relative group"),w(Xa,"href","/docs/optimum/v1.8.4/en/onnxruntime/package_reference/modeling_ort#optimum.onnxruntime.ORTModel"),w(me,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(Y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),w(gn,"id","stable-diffusion"),w(gn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(gn,"href","#stable-diffusion"),w(It,"class","relative group"),w(_n,"id","optimum.utils.dummy_diffusers_objects.ORTStableDiffusionPipeline"),w(_n,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),w(_n,"href","#optimum.utils.dummy_diffusers_objects.ORTStableDiffusionPipeline"),w(Dt,"class","relative group"),w(ca,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(t,_){e(document.head,s),v(t,$,_),v(t,d,_),e(d,c),e(c,g),T(n,g,null),e(d,m),e(d,j),e(j,f),v(t,O,_),v(t,E,_),e(E,Lt),e(Lt,lr),T(Mn,lr,null),e(E,pd),e(E,pr),e(pr,md),v(t,vp,_),v(t,Ma,_),e(Ma,dd),v(t,wp,_),v(t,Ze,_),e(Ze,Vt),e(Vt,mr),T(On,mr,null),e(Ze,cd),e(Ze,dr),e(dr,ud),v(t,kp,_),v(t,S,_),T(jn,S,null),e(S,hd),e(S,cr),e(cr,fd),e(S,gd),e(S,qn),e(qn,_d),e(qn,ur),e(ur,$d),e(qn,vd),e(S,wd),e(S,hr),e(hr,kd),e(S,bd),e(S,En),e(En,xe),e(xe,Td),e(xe,fr),e(fr,xd),e(xe,yd),e(xe,gr),e(gr,Md),e(xe,Od),e(xe,_r),e(_r,jd),e(xe,qd),e(En,Ed),e(En,ye),e(ye,Rd),e(ye,$r),e($r,Fd),e(ye,Cd),e(ye,vr),e(vr,Ad),e(ye,Sd),e(ye,wr),e(wr,Nd),e(ye,Pd),e(S,zd),e(S,kr),e(kr,Id),e(S,Dd),e(S,de),e(de,Rn),e(Rn,Ld),e(Rn,br),e(br,Vd),e(Rn,Ud),e(de,Xd),e(de,Fn),e(Fn,Wd),e(Fn,Cn),e(Cn,Hd),e(Fn,Bd),e(de,Gd),e(de,ce),e(ce,Qd),e(ce,Tr),e(Tr,Jd),e(ce,Kd),e(ce,xr),e(xr,Yd),e(ce,Zd),e(ce,yr),e(yr,ec),e(ce,tc),e(ce,Mr),e(Mr,oc),e(ce,nc),e(de,sc),e(de,An),e(An,ac),e(An,Or),e(Or,rc),e(An,ic),e(de,lc),e(de,jr),e(jr,pc),e(S,mc),e(S,Ut),T(Sn,Ut,null),e(Ut,dc),e(Ut,qr),e(qr,cc),e(S,uc),e(S,Xt),T(Nn,Xt,null),e(Xt,hc),e(Xt,Pn),e(Pn,fc),e(Pn,Er),e(Er,gc),e(Pn,_c),e(S,$c),e(S,Wt),T(zn,Wt,null),e(Wt,vc),e(Wt,Rr),e(Rr,wc),e(S,kc),e(S,Ht),T(In,Ht,null),e(Ht,bc),e(Ht,Fr),e(Fr,Tc),e(S,xc),e(S,Bt),T(Dn,Bt,null),e(Bt,yc),e(Bt,Cr),e(Cr,Mc),v(t,bp,_),v(t,et,_),e(et,Gt),e(Gt,Ar),T(Ln,Ar,null),e(et,Oc),e(et,Sr),e(Sr,jc),v(t,Tp,_),v(t,Oa,_),e(Oa,qc),v(t,xp,_),v(t,tt,_),e(tt,Qt),e(Qt,Nr),T(Vn,Nr,null),e(tt,Ec),e(tt,Pr),e(Pr,Rc),v(t,yp,_),v(t,ue,_),T(Un,ue,null),e(ue,Fc),e(ue,zr),e(zr,Cc),e(ue,Ac),e(ue,Jt),T(Xn,Jt,null),e(Jt,Sc),e(Jt,Wn),e(Wn,Nc),e(Wn,Ir),e(Ir,Pc),e(Wn,zc),e(ue,Ic),e(ue,Z),T(Hn,Z,null),e(Z,Dc),e(Z,ot),e(ot,Lc),e(ot,Dr),e(Dr,Vc),e(ot,Uc),e(ot,Lr),e(Lr,Xc),e(ot,Wc),e(Z,Hc),T(Kt,Z,null),e(Z,Bc),T(Yt,Z,null),e(Z,Gc),T(Zt,Z,null),v(t,Mp,_),v(t,nt,_),e(nt,eo),e(eo,Vr),T(Bn,Vr,null),e(nt,Qc),e(nt,Ur),e(Ur,Jc),v(t,Op,_),v(t,D,_),T(Gn,D,null),e(D,Kc),e(D,Xr),e(Xr,Yc),e(D,Zc),e(D,Qn),e(Qn,eu),e(Qn,ja),e(ja,tu),e(Qn,ou),e(D,nu),e(D,Wr),e(Wr,su),e(D,au),e(D,ee),T(Jn,ee,null),e(ee,ru),e(ee,st),e(st,iu),e(st,Hr),e(Hr,lu),e(st,pu),e(st,Br),e(Br,mu),e(st,du),e(ee,cu),T(to,ee,null),e(ee,uu),T(oo,ee,null),e(ee,hu),T(no,ee,null),v(t,jp,_),v(t,at,_),e(at,so),e(so,Gr),T(Kn,Gr,null),e(at,fu),e(at,Qr),e(Qr,gu),v(t,qp,_),v(t,he,_),T(Yn,he,null),e(he,_u),e(he,Jr),e(Jr,$u),e(he,vu),e(he,ao),T(Zn,ao,null),e(ao,wu),e(ao,es),e(es,ku),e(es,Kr),e(Kr,bu),e(es,Tu),e(he,xu),e(he,te),T(ts,te,null),e(te,yu),e(te,rt),e(rt,Mu),e(rt,Yr),e(Yr,Ou),e(rt,ju),e(rt,Zr),e(Zr,qu),e(rt,Eu),e(te,Ru),T(ro,te,null),e(te,Fu),T(io,te,null),e(te,Cu),T(lo,te,null),v(t,Ep,_),v(t,it,_),e(it,po),e(po,ei),T(os,ei,null),e(it,Au),e(it,ti),e(ti,Su),v(t,Rp,_),v(t,L,_),T(ns,L,null),e(L,Nu),e(L,oi),e(oi,Pu),e(L,zu),e(L,ss),e(ss,Iu),e(ss,qa),e(qa,Du),e(ss,Lu),e(L,Vu),e(L,ni),e(ni,Uu),e(L,Xu),e(L,I),T(as,I,null),e(I,Wu),e(I,lt),e(lt,Hu),e(lt,si),e(si,Bu),e(lt,Gu),e(lt,ai),e(ai,Qu),e(lt,Ju),e(I,Ku),T(mo,I,null),e(I,Yu),T(co,I,null),e(I,Zu),T(uo,I,null),e(I,eh),T(ho,I,null),v(t,Fp,_),v(t,pt,_),e(pt,fo),e(fo,ri),T(rs,ri,null),e(pt,th),e(pt,ii),e(ii,oh),v(t,Cp,_),v(t,V,_),T(is,V,null),e(V,nh),e(V,li),e(li,sh),e(V,ah),e(V,ls),e(ls,rh),e(ls,Ea),e(Ea,ih),e(ls,lh),e(V,ph),e(V,pi),e(pi,mh),e(V,dh),e(V,oe),T(ps,oe,null),e(oe,ch),e(oe,mt),e(mt,uh),e(mt,mi),e(mi,hh),e(mt,fh),e(mt,di),e(di,gh),e(mt,_h),e(oe,$h),T(go,oe,null),e(oe,vh),T(_o,oe,null),e(oe,wh),T($o,oe,null),v(t,Ap,_),v(t,dt,_),e(dt,vo),e(vo,ci),T(ms,ci,null),e(dt,kh),e(dt,ui),e(ui,bh),v(t,Sp,_),v(t,U,_),T(ds,U,null),e(U,Th),e(U,hi),e(hi,xh),e(U,yh),e(U,cs),e(cs,Mh),e(cs,Ra),e(Ra,Oh),e(cs,jh),e(U,qh),e(U,fi),e(fi,Eh),e(U,Rh),e(U,ve),T(us,ve,null),e(ve,Fh),e(ve,ct),e(ct,Ch),e(ct,gi),e(gi,Ah),e(ct,Sh),e(ct,_i),e(_i,Nh),e(ct,Ph),e(ve,zh),T(wo,ve,null),e(ve,Ih),T(ko,ve,null),v(t,Np,_),v(t,ut,_),e(ut,bo),e(bo,$i),T(hs,$i,null),e(ut,Dh),e(ut,vi),e(vi,Lh),v(t,Pp,_),v(t,Fa,_),e(Fa,Vh),v(t,zp,_),v(t,ht,_),e(ht,To),e(To,wi),T(fs,wi,null),e(ht,Uh),e(ht,ki),e(ki,Xh),v(t,Ip,_),v(t,X,_),T(gs,X,null),e(X,Wh),e(X,bi),e(bi,Hh),e(X,Bh),e(X,_s),e(_s,Gh),e(_s,Ca),e(Ca,Qh),e(_s,Jh),e(X,Kh),e(X,Ti),e(Ti,Yh),e(X,Zh),e(X,ne),T($s,ne,null),e(ne,ef),e(ne,ft),e(ft,tf),e(ft,xi),e(xi,of),e(ft,nf),e(ft,yi),e(yi,sf),e(ft,af),e(ne,rf),T(xo,ne,null),e(ne,lf),T(yo,ne,null),e(ne,pf),T(Mo,ne,null),v(t,Dp,_),v(t,gt,_),e(gt,Oo),e(Oo,Mi),T(vs,Mi,null),e(gt,mf),e(gt,Oi),e(Oi,df),v(t,Lp,_),v(t,W,_),T(ws,W,null),e(W,cf),e(W,ji),e(ji,uf),e(W,hf),e(W,ks),e(ks,ff),e(ks,Aa),e(Aa,gf),e(ks,_f),e(W,$f),e(W,qi),e(qi,vf),e(W,wf),e(W,se),T(bs,se,null),e(se,kf),e(se,_t),e(_t,bf),e(_t,Ei),e(Ei,Tf),e(_t,xf),e(_t,Ri),e(Ri,yf),e(_t,Mf),e(se,Of),T(jo,se,null),e(se,jf),T(qo,se,null),e(se,qf),T(Eo,se,null),v(t,Vp,_),v(t,$t,_),e($t,Ro),e(Ro,Fi),T(Ts,Fi,null),e($t,Ef),e($t,Ci),e(Ci,Rf),v(t,Up,_),v(t,H,_),T(xs,H,null),e(H,Ff),e(H,Ai),e(Ai,Cf),e(H,Af),e(H,ys),e(ys,Sf),e(ys,Sa),e(Sa,Nf),e(ys,Pf),e(H,zf),e(H,Si),e(Si,If),e(H,Df),e(H,ae),T(Ms,ae,null),e(ae,Lf),e(ae,vt),e(vt,Vf),e(vt,Ni),e(Ni,Uf),e(vt,Xf),e(vt,Pi),e(Pi,Wf),e(vt,Hf),e(ae,Bf),T(Fo,ae,null),e(ae,Gf),T(Co,ae,null),e(ae,Qf),T(Ao,ae,null),v(t,Xp,_),v(t,wt,_),e(wt,So),e(So,zi),T(Os,zi,null),e(wt,Jf),e(wt,Ii),e(Ii,Kf),v(t,Wp,_),v(t,Na,_),e(Na,Yf),v(t,Hp,_),v(t,kt,_),e(kt,No),e(No,Di),T(js,Di,null),e(kt,Zf),e(kt,Li),e(Li,eg),v(t,Bp,_),v(t,B,_),T(qs,B,null),e(B,tg),e(B,Vi),e(Vi,og),e(B,ng),e(B,Es),e(Es,sg),e(Es,Pa),e(Pa,ag),e(Es,rg),e(B,ig),e(B,Ui),e(Ui,lg),e(B,pg),e(B,re),T(Rs,re,null),e(re,mg),e(re,bt),e(bt,dg),e(bt,Xi),e(Xi,cg),e(bt,ug),e(bt,Wi),e(Wi,hg),e(bt,fg),e(re,gg),T(Po,re,null),e(re,_g),T(zo,re,null),e(re,$g),T(Io,re,null),v(t,Gp,_),v(t,Tt,_),e(Tt,Do),e(Do,Hi),T(Fs,Hi,null),e(Tt,vg),e(Tt,Bi),e(Bi,wg),v(t,Qp,_),v(t,G,_),T(Cs,G,null),e(G,kg),e(G,Gi),e(Gi,bg),e(G,Tg),e(G,As),e(As,xg),e(As,za),e(za,yg),e(As,Mg),e(G,Og),e(G,Qi),e(Qi,jg),e(G,qg),e(G,we),T(Ss,we,null),e(we,Eg),e(we,xt),e(xt,Rg),e(xt,Ji),e(Ji,Fg),e(xt,Cg),e(xt,Ki),e(Ki,Ag),e(xt,Sg),e(we,Ng),T(Lo,we,null),e(we,Pg),T(Vo,we,null),v(t,Jp,_),v(t,yt,_),e(yt,Uo),e(Uo,Yi),T(Ns,Yi,null),e(yt,zg),e(yt,Zi),e(Zi,Ig),v(t,Kp,_),v(t,Q,_),T(Ps,Q,null),e(Q,Dg),e(Q,el),e(el,Lg),e(Q,Vg),e(Q,zs),e(zs,Ug),e(zs,Ia),e(Ia,Xg),e(zs,Wg),e(Q,Hg),e(Q,tl),e(tl,Bg),e(Q,Gg),e(Q,ke),T(Is,ke,null),e(ke,Qg),e(ke,Mt),e(Mt,Jg),e(Mt,ol),e(ol,Kg),e(Mt,Yg),e(Mt,nl),e(nl,Zg),e(Mt,e_),e(ke,t_),T(Xo,ke,null),e(ke,o_),T(Wo,ke,null),v(t,Yp,_),v(t,Ot,_),e(Ot,Ho),e(Ho,sl),T(Ds,sl,null),e(Ot,n_),e(Ot,al),e(al,s_),v(t,Zp,_),v(t,fe,_),T(Ls,fe,null),e(fe,a_),e(fe,rl),e(rl,r_),e(fe,i_),e(fe,Bo),T(Vs,Bo,null),e(Bo,l_),e(Bo,Us),e(Us,p_),e(Us,il),e(il,m_),e(Us,d_),e(fe,c_),e(fe,ie),T(Xs,ie,null),e(ie,u_),e(ie,jt),e(jt,h_),e(jt,ll),e(ll,f_),e(jt,g_),e(jt,pl),e(pl,__),e(jt,$_),e(ie,v_),T(Go,ie,null),e(ie,w_),T(Qo,ie,null),e(ie,k_),T(Jo,ie,null),v(t,em,_),v(t,qt,_),e(qt,Ko),e(Ko,ml),T(Ws,ml,null),e(qt,b_),e(qt,dl),e(dl,T_),v(t,tm,_),v(t,J,_),T(Hs,J,null),e(J,x_),e(J,cl),e(cl,y_),e(J,M_),e(J,Bs),e(Bs,O_),e(Bs,Da),e(Da,j_),e(Bs,q_),e(J,E_),e(J,ul),e(ul,R_),e(J,F_),e(J,be),T(Gs,be,null),e(be,C_),e(be,Et),e(Et,A_),e(Et,hl),e(hl,S_),e(Et,N_),e(Et,fl),e(fl,P_),e(Et,z_),e(be,I_),T(Yo,be,null),e(be,D_),T(Zo,be,null),v(t,om,_),v(t,Rt,_),e(Rt,en),e(en,gl),T(Qs,gl,null),e(Rt,L_),e(Rt,_l),e(_l,V_),v(t,nm,_),v(t,La,_),e(La,U_),v(t,sm,_),v(t,Ft,_),e(Ft,tn),e(tn,$l),T(Js,$l,null),e(Ft,X_),e(Ft,vl),e(vl,W_),v(t,am,_),v(t,ge,_),T(Ks,ge,null),e(ge,H_),e(ge,wl),e(wl,B_),e(ge,G_),e(ge,on),T(Ys,on,null),e(on,Q_),e(on,Zs),e(Zs,J_),e(Zs,kl),e(kl,K_),e(Zs,Y_),e(ge,Z_),e(ge,le),T(ea,le,null),e(le,e$),e(le,Ct),e(Ct,t$),e(Ct,bl),e(bl,o$),e(Ct,n$),e(Ct,Tl),e(Tl,s$),e(Ct,a$),e(le,r$),T(nn,le,null),e(le,i$),T(sn,le,null),e(le,l$),T(an,le,null),v(t,rm,_),v(t,At,_),e(At,rn),e(rn,xl),T(ta,xl,null),e(At,p$),e(At,yl),e(yl,m$),v(t,im,_),v(t,Va,_),e(Va,d$),v(t,lm,_),v(t,St,_),e(St,ln),e(ln,Ml),T(oa,Ml,null),e(St,c$),e(St,Ol),e(Ol,u$),v(t,pm,_),v(t,K,_),T(na,K,null),e(K,h$),e(K,jl),e(jl,f$),e(K,g$),e(K,sa),e(sa,_$),e(sa,Ua),e(Ua,$$),e(sa,v$),e(K,w$),e(K,ql),e(ql,k$),e(K,b$),e(K,pe),T(aa,pe,null),e(pe,T$),e(pe,Nt),e(Nt,x$),e(Nt,El),e(El,y$),e(Nt,M$),e(Nt,Rl),e(Rl,O$),e(Nt,j$),e(pe,q$),T(pn,pe,null),e(pe,E$),T(mn,pe,null),e(pe,R$),T(dn,pe,null),v(t,mm,_),v(t,Pt,_),e(Pt,cn),e(cn,Fl),T(ra,Fl,null),e(Pt,F$),e(Pt,Cl),e(Cl,C$),v(t,dm,_),v(t,Y,_),T(ia,Y,null),e(Y,A$),e(Y,Al),e(Al,S$),e(Y,N$),e(Y,la),e(la,P$),e(la,Xa),e(Xa,z$),e(la,I$),e(Y,D$),e(Y,Sl),e(Sl,L$),e(Y,V$),e(Y,me),T(pa,me,null),e(me,U$),e(me,zt),e(zt,X$),e(zt,Nl),e(Nl,W$),e(zt,H$),e(zt,Pl),e(Pl,B$),e(zt,G$),e(me,Q$),T(un,me,null),e(me,J$),T(hn,me,null),e(me,K$),T(fn,me,null),v(t,cm,_),v(t,It,_),e(It,gn),e(gn,zl),T(ma,zl,null),e(It,Y$),e(It,Il),e(Il,Z$),v(t,um,_),v(t,Dt,_),e(Dt,_n),e(_n,Dl),T(da,Dl,null),e(Dt,ev),e(Dt,Ll),e(Ll,tv),v(t,hm,_),v(t,ca,_),T(ua,ca,null),fm=!0},p(t,[_]){const ha={};_&2&&(ha.$$scope={dirty:_,ctx:t}),Kt.$set(ha);const Vl={};_&2&&(Vl.$$scope={dirty:_,ctx:t}),Yt.$set(Vl);const Ul={};_&2&&(Ul.$$scope={dirty:_,ctx:t}),Zt.$set(Ul);const Xl={};_&2&&(Xl.$$scope={dirty:_,ctx:t}),to.$set(Xl);const fa={};_&2&&(fa.$$scope={dirty:_,ctx:t}),oo.$set(fa);const Wl={};_&2&&(Wl.$$scope={dirty:_,ctx:t}),no.$set(Wl);const Hl={};_&2&&(Hl.$$scope={dirty:_,ctx:t}),ro.$set(Hl);const Bl={};_&2&&(Bl.$$scope={dirty:_,ctx:t}),io.$set(Bl);const Gl={};_&2&&(Gl.$$scope={dirty:_,ctx:t}),lo.$set(Gl);const ga={};_&2&&(ga.$$scope={dirty:_,ctx:t}),mo.$set(ga);const Ql={};_&2&&(Ql.$$scope={dirty:_,ctx:t}),co.$set(Ql);const Jl={};_&2&&(Jl.$$scope={dirty:_,ctx:t}),uo.$set(Jl);const Kl={};_&2&&(Kl.$$scope={dirty:_,ctx:t}),ho.$set(Kl);const N={};_&2&&(N.$$scope={dirty:_,ctx:t}),go.$set(N);const Yl={};_&2&&(Yl.$$scope={dirty:_,ctx:t}),_o.$set(Yl);const _a={};_&2&&(_a.$$scope={dirty:_,ctx:t}),$o.$set(_a);const Zl={};_&2&&(Zl.$$scope={dirty:_,ctx:t}),wo.$set(Zl);const ep={};_&2&&(ep.$$scope={dirty:_,ctx:t}),ko.$set(ep);const $a={};_&2&&($a.$$scope={dirty:_,ctx:t}),xo.$set($a);const Me={};_&2&&(Me.$$scope={dirty:_,ctx:t}),yo.$set(Me);const tp={};_&2&&(tp.$$scope={dirty:_,ctx:t}),Mo.$set(tp);const op={};_&2&&(op.$$scope={dirty:_,ctx:t}),jo.$set(op);const np={};_&2&&(np.$$scope={dirty:_,ctx:t}),qo.$set(np);const Oe={};_&2&&(Oe.$$scope={dirty:_,ctx:t}),Eo.$set(Oe);const sp={};_&2&&(sp.$$scope={dirty:_,ctx:t}),Fo.$set(sp);const ap={};_&2&&(ap.$$scope={dirty:_,ctx:t}),Co.$set(ap);const rp={};_&2&&(rp.$$scope={dirty:_,ctx:t}),Ao.$set(rp);const ip={};_&2&&(ip.$$scope={dirty:_,ctx:t}),Po.$set(ip);const _e={};_&2&&(_e.$$scope={dirty:_,ctx:t}),zo.$set(_e);const va={};_&2&&(va.$$scope={dirty:_,ctx:t}),Io.$set(va);const lp={};_&2&&(lp.$$scope={dirty:_,ctx:t}),Lo.$set(lp);const wa={};_&2&&(wa.$$scope={dirty:_,ctx:t}),Vo.$set(wa);const pp={};_&2&&(pp.$$scope={dirty:_,ctx:t}),Xo.$set(pp);const $e={};_&2&&($e.$$scope={dirty:_,ctx:t}),Wo.$set($e);const mp={};_&2&&(mp.$$scope={dirty:_,ctx:t}),Go.$set(mp);const dp={};_&2&&(dp.$$scope={dirty:_,ctx:t}),Qo.$set(dp);const cp={};_&2&&(cp.$$scope={dirty:_,ctx:t}),Jo.$set(cp);const up={};_&2&&(up.$$scope={dirty:_,ctx:t}),Yo.$set(up);const ka={};_&2&&(ka.$$scope={dirty:_,ctx:t}),Zo.$set(ka);const hp={};_&2&&(hp.$$scope={dirty:_,ctx:t}),nn.$set(hp);const fp={};_&2&&(fp.$$scope={dirty:_,ctx:t}),sn.$set(fp);const ba={};_&2&&(ba.$$scope={dirty:_,ctx:t}),an.$set(ba);const gp={};_&2&&(gp.$$scope={dirty:_,ctx:t}),pn.$set(gp);const Ta={};_&2&&(Ta.$$scope={dirty:_,ctx:t}),mn.$set(Ta);const xa={};_&2&&(xa.$$scope={dirty:_,ctx:t}),dn.$set(xa);const _p={};_&2&&(_p.$$scope={dirty:_,ctx:t}),un.$set(_p);const ya={};_&2&&(ya.$$scope={dirty:_,ctx:t}),hn.$set(ya);const $p={};_&2&&($p.$$scope={dirty:_,ctx:t}),fn.$set($p)},i(t){fm||(x(n.$$.fragment,t),x(Mn.$$.fragment,t),x(On.$$.fragment,t),x(jn.$$.fragment,t),x(Sn.$$.fragment,t),x(Nn.$$.fragment,t),x(zn.$$.fragment,t),x(In.$$.fragment,t),x(Dn.$$.fragment,t),x(Ln.$$.fragment,t),x(Vn.$$.fragment,t),x(Un.$$.fragment,t),x(Xn.$$.fragment,t),x(Hn.$$.fragment,t),x(Kt.$$.fragment,t),x(Yt.$$.fragment,t),x(Zt.$$.fragment,t),x(Bn.$$.fragment,t),x(Gn.$$.fragment,t),x(Jn.$$.fragment,t),x(to.$$.fragment,t),x(oo.$$.fragment,t),x(no.$$.fragment,t),x(Kn.$$.fragment,t),x(Yn.$$.fragment,t),x(Zn.$$.fragment,t),x(ts.$$.fragment,t),x(ro.$$.fragment,t),x(io.$$.fragment,t),x(lo.$$.fragment,t),x(os.$$.fragment,t),x(ns.$$.fragment,t),x(as.$$.fragment,t),x(mo.$$.fragment,t),x(co.$$.fragment,t),x(uo.$$.fragment,t),x(ho.$$.fragment,t),x(rs.$$.fragment,t),x(is.$$.fragment,t),x(ps.$$.fragment,t),x(go.$$.fragment,t),x(_o.$$.fragment,t),x($o.$$.fragment,t),x(ms.$$.fragment,t),x(ds.$$.fragment,t),x(us.$$.fragment,t),x(wo.$$.fragment,t),x(ko.$$.fragment,t),x(hs.$$.fragment,t),x(fs.$$.fragment,t),x(gs.$$.fragment,t),x($s.$$.fragment,t),x(xo.$$.fragment,t),x(yo.$$.fragment,t),x(Mo.$$.fragment,t),x(vs.$$.fragment,t),x(ws.$$.fragment,t),x(bs.$$.fragment,t),x(jo.$$.fragment,t),x(qo.$$.fragment,t),x(Eo.$$.fragment,t),x(Ts.$$.fragment,t),x(xs.$$.fragment,t),x(Ms.$$.fragment,t),x(Fo.$$.fragment,t),x(Co.$$.fragment,t),x(Ao.$$.fragment,t),x(Os.$$.fragment,t),x(js.$$.fragment,t),x(qs.$$.fragment,t),x(Rs.$$.fragment,t),x(Po.$$.fragment,t),x(zo.$$.fragment,t),x(Io.$$.fragment,t),x(Fs.$$.fragment,t),x(Cs.$$.fragment,t),x(Ss.$$.fragment,t),x(Lo.$$.fragment,t),x(Vo.$$.fragment,t),x(Ns.$$.fragment,t),x(Ps.$$.fragment,t),x(Is.$$.fragment,t),x(Xo.$$.fragment,t),x(Wo.$$.fragment,t),x(Ds.$$.fragment,t),x(Ls.$$.fragment,t),x(Vs.$$.fragment,t),x(Xs.$$.fragment,t),x(Go.$$.fragment,t),x(Qo.$$.fragment,t),x(Jo.$$.fragment,t),x(Ws.$$.fragment,t),x(Hs.$$.fragment,t),x(Gs.$$.fragment,t),x(Yo.$$.fragment,t),x(Zo.$$.fragment,t),x(Qs.$$.fragment,t),x(Js.$$.fragment,t),x(Ks.$$.fragment,t),x(Ys.$$.fragment,t),x(ea.$$.fragment,t),x(nn.$$.fragment,t),x(sn.$$.fragment,t),x(an.$$.fragment,t),x(ta.$$.fragment,t),x(oa.$$.fragment,t),x(na.$$.fragment,t),x(aa.$$.fragment,t),x(pn.$$.fragment,t),x(mn.$$.fragment,t),x(dn.$$.fragment,t),x(ra.$$.fragment,t),x(ia.$$.fragment,t),x(pa.$$.fragment,t),x(un.$$.fragment,t),x(hn.$$.fragment,t),x(fn.$$.fragment,t),x(ma.$$.fragment,t),x(da.$$.fragment,t),x(ua.$$.fragment,t),fm=!0)},o(t){y(n.$$.fragment,t),y(Mn.$$.fragment,t),y(On.$$.fragment,t),y(jn.$$.fragment,t),y(Sn.$$.fragment,t),y(Nn.$$.fragment,t),y(zn.$$.fragment,t),y(In.$$.fragment,t),y(Dn.$$.fragment,t),y(Ln.$$.fragment,t),y(Vn.$$.fragment,t),y(Un.$$.fragment,t),y(Xn.$$.fragment,t),y(Hn.$$.fragment,t),y(Kt.$$.fragment,t),y(Yt.$$.fragment,t),y(Zt.$$.fragment,t),y(Bn.$$.fragment,t),y(Gn.$$.fragment,t),y(Jn.$$.fragment,t),y(to.$$.fragment,t),y(oo.$$.fragment,t),y(no.$$.fragment,t),y(Kn.$$.fragment,t),y(Yn.$$.fragment,t),y(Zn.$$.fragment,t),y(ts.$$.fragment,t),y(ro.$$.fragment,t),y(io.$$.fragment,t),y(lo.$$.fragment,t),y(os.$$.fragment,t),y(ns.$$.fragment,t),y(as.$$.fragment,t),y(mo.$$.fragment,t),y(co.$$.fragment,t),y(uo.$$.fragment,t),y(ho.$$.fragment,t),y(rs.$$.fragment,t),y(is.$$.fragment,t),y(ps.$$.fragment,t),y(go.$$.fragment,t),y(_o.$$.fragment,t),y($o.$$.fragment,t),y(ms.$$.fragment,t),y(ds.$$.fragment,t),y(us.$$.fragment,t),y(wo.$$.fragment,t),y(ko.$$.fragment,t),y(hs.$$.fragment,t),y(fs.$$.fragment,t),y(gs.$$.fragment,t),y($s.$$.fragment,t),y(xo.$$.fragment,t),y(yo.$$.fragment,t),y(Mo.$$.fragment,t),y(vs.$$.fragment,t),y(ws.$$.fragment,t),y(bs.$$.fragment,t),y(jo.$$.fragment,t),y(qo.$$.fragment,t),y(Eo.$$.fragment,t),y(Ts.$$.fragment,t),y(xs.$$.fragment,t),y(Ms.$$.fragment,t),y(Fo.$$.fragment,t),y(Co.$$.fragment,t),y(Ao.$$.fragment,t),y(Os.$$.fragment,t),y(js.$$.fragment,t),y(qs.$$.fragment,t),y(Rs.$$.fragment,t),y(Po.$$.fragment,t),y(zo.$$.fragment,t),y(Io.$$.fragment,t),y(Fs.$$.fragment,t),y(Cs.$$.fragment,t),y(Ss.$$.fragment,t),y(Lo.$$.fragment,t),y(Vo.$$.fragment,t),y(Ns.$$.fragment,t),y(Ps.$$.fragment,t),y(Is.$$.fragment,t),y(Xo.$$.fragment,t),y(Wo.$$.fragment,t),y(Ds.$$.fragment,t),y(Ls.$$.fragment,t),y(Vs.$$.fragment,t),y(Xs.$$.fragment,t),y(Go.$$.fragment,t),y(Qo.$$.fragment,t),y(Jo.$$.fragment,t),y(Ws.$$.fragment,t),y(Hs.$$.fragment,t),y(Gs.$$.fragment,t),y(Yo.$$.fragment,t),y(Zo.$$.fragment,t),y(Qs.$$.fragment,t),y(Js.$$.fragment,t),y(Ks.$$.fragment,t),y(Ys.$$.fragment,t),y(ea.$$.fragment,t),y(nn.$$.fragment,t),y(sn.$$.fragment,t),y(an.$$.fragment,t),y(ta.$$.fragment,t),y(oa.$$.fragment,t),y(na.$$.fragment,t),y(aa.$$.fragment,t),y(pn.$$.fragment,t),y(mn.$$.fragment,t),y(dn.$$.fragment,t),y(ra.$$.fragment,t),y(ia.$$.fragment,t),y(pa.$$.fragment,t),y(un.$$.fragment,t),y(hn.$$.fragment,t),y(fn.$$.fragment,t),y(ma.$$.fragment,t),y(da.$$.fragment,t),y(ua.$$.fragment,t),fm=!1},d(t){o(s),t&&o($),t&&o(d),M(n),t&&o(O),t&&o(E),M(Mn),t&&o(vp),t&&o(Ma),t&&o(wp),t&&o(Ze),M(On),t&&o(kp),t&&o(S),M(jn),M(Sn),M(Nn),M(zn),M(In),M(Dn),t&&o(bp),t&&o(et),M(Ln),t&&o(Tp),t&&o(Oa),t&&o(xp),t&&o(tt),M(Vn),t&&o(yp),t&&o(ue),M(Un),M(Xn),M(Hn),M(Kt),M(Yt),M(Zt),t&&o(Mp),t&&o(nt),M(Bn),t&&o(Op),t&&o(D),M(Gn),M(Jn),M(to),M(oo),M(no),t&&o(jp),t&&o(at),M(Kn),t&&o(qp),t&&o(he),M(Yn),M(Zn),M(ts),M(ro),M(io),M(lo),t&&o(Ep),t&&o(it),M(os),t&&o(Rp),t&&o(L),M(ns),M(as),M(mo),M(co),M(uo),M(ho),t&&o(Fp),t&&o(pt),M(rs),t&&o(Cp),t&&o(V),M(is),M(ps),M(go),M(_o),M($o),t&&o(Ap),t&&o(dt),M(ms),t&&o(Sp),t&&o(U),M(ds),M(us),M(wo),M(ko),t&&o(Np),t&&o(ut),M(hs),t&&o(Pp),t&&o(Fa),t&&o(zp),t&&o(ht),M(fs),t&&o(Ip),t&&o(X),M(gs),M($s),M(xo),M(yo),M(Mo),t&&o(Dp),t&&o(gt),M(vs),t&&o(Lp),t&&o(W),M(ws),M(bs),M(jo),M(qo),M(Eo),t&&o(Vp),t&&o($t),M(Ts),t&&o(Up),t&&o(H),M(xs),M(Ms),M(Fo),M(Co),M(Ao),t&&o(Xp),t&&o(wt),M(Os),t&&o(Wp),t&&o(Na),t&&o(Hp),t&&o(kt),M(js),t&&o(Bp),t&&o(B),M(qs),M(Rs),M(Po),M(zo),M(Io),t&&o(Gp),t&&o(Tt),M(Fs),t&&o(Qp),t&&o(G),M(Cs),M(Ss),M(Lo),M(Vo),t&&o(Jp),t&&o(yt),M(Ns),t&&o(Kp),t&&o(Q),M(Ps),M(Is),M(Xo),M(Wo),t&&o(Yp),t&&o(Ot),M(Ds),t&&o(Zp),t&&o(fe),M(Ls),M(Vs),M(Xs),M(Go),M(Qo),M(Jo),t&&o(em),t&&o(qt),M(Ws),t&&o(tm),t&&o(J),M(Hs),M(Gs),M(Yo),M(Zo),t&&o(om),t&&o(Rt),M(Qs),t&&o(nm),t&&o(La),t&&o(sm),t&&o(Ft),M(Js),t&&o(am),t&&o(ge),M(Ks),M(Ys),M(ea),M(nn),M(sn),M(an),t&&o(rm),t&&o(At),M(ta),t&&o(im),t&&o(Va),t&&o(lm),t&&o(St),M(oa),t&&o(pm),t&&o(K),M(na),M(aa),M(pn),M(mn),M(dn),t&&o(mm),t&&o(Pt),M(ra),t&&o(dm),t&&o(Y),M(ia),M(pa),M(un),M(hn),M(fn),t&&o(cm),t&&o(It),M(ma),t&&o(um),t&&o(Dt),M(da),t&&o(hm),t&&o(ca),M(ua)}}}const tT={local:"models",sections:[{local:"generic-model-classes",sections:[{local:"optimum.onnxruntime.ORTModel",title:"ORTModel"}],title:"Generic model classes"},{local:"natural-language-processing",sections:[{local:"optimum.onnxruntime.ORTModelForCausalLM",title:"ORTModelForCausalLM"},{local:"optimum.onnxruntime.ORTModelForMaskedLM",title:"ORTModelForMaskedLM"},{local:"optimum.onnxruntime.ORTModelForSeq2SeqLM",title:"ORTModelForSeq2SeqLM"},{local:"optimum.onnxruntime.ORTModelForSequenceClassification",title:"ORTModelForSequenceClassification"},{local:"optimum.onnxruntime.ORTModelForTokenClassification",title:"ORTModelForTokenClassification"},{local:"optimum.onnxruntime.ORTModelForMultipleChoice",title:"ORTModelForMultipleChoice"}],title:"Natural Language Processing"},{local:"computer-vision",sections:[{local:"optimum.onnxruntime.ORTModelForQuestionAnswering",title:"ORTModelForQuestionAnswering"},{local:"optimum.onnxruntime.ORTModelForImageClassification",title:"ORTModelForImageClassification"},{local:"optimum.onnxruntime.ORTModelForSemanticSegmentation",title:"ORTModelForSemanticSegmentation"}],title:"Computer vision"},{local:"audio",sections:[{local:"optimum.onnxruntime.ORTModelForAudioClassification",title:"ORTModelForAudioClassification"},{local:"optimum.onnxruntime.ORTModelForAudioFrameClassification",title:"ORTModelForAudioFrameClassification"},{local:"optimum.onnxruntime.ORTModelForCTC",title:"ORTModelForCTC"},{local:"optimum.onnxruntime.ORTModelForSpeechSeq2Seq",title:"ORTModelForSpeechSeq2Seq"},{local:"optimum.onnxruntime.ORTModelForAudioXVector",title:"ORTModelForAudioXVector"}],title:"Audio"},{local:"multimodal",sections:[{local:"optimum.onnxruntime.ORTModelForVision2Seq",title:"ORTModelForVision2Seq"}],title:"Multimodal"},{local:"custom-tasks",sections:[{local:"optimum.onnxruntime.ORTModelForCustomTasks",title:"ORTModelForCustomTasks"},{local:"optimum.onnxruntime.ORTModelForFeatureExtraction",title:"ORTModelForFeatureExtraction"}],title:"Custom Tasks"},{local:"stable-diffusion",sections:[{local:"optimum.utils.dummy_diffusers_objects.ORTStableDiffusionPipeline",title:"ORTStableDiffusionPipeline"}],title:"Stable Diffusion"}],title:"Models"};function oT(q){return ab(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class pT extends tb{constructor(s){super();ob(this,s,oT,eT,nb,{})}}export{pT as default,tT as metadata};
